Sync with portage [Mon Jul 22 08:34:27 MSK 2019].

mhiretskiy 1459
root 5 years ago
parent 4f395d8b83
commit ec3771a396

Binary file not shown.

Binary file not shown.

@ -45,7 +45,10 @@ RDEPEND="
virtual/perl-MIME-Base64
virtual/perl-Time-Piece
x11-themes/faenza-icon-theme
nautilus? ( dev-python/nautilus-python[${PYTHON_USEDEP}] )
nautilus? (
${PYTHON_DEPS}
dev-python/nautilus-python[${PYTHON_USEDEP}]
)
"
BDEPEND="nls? ( sys-devel/gettext )"

@ -45,7 +45,10 @@ RDEPEND="
virtual/perl-MIME-Base64
virtual/perl-Time-Piece
x11-themes/faenza-icon-theme
nautilus? ( dev-python/nautilus-python[${PYTHON_USEDEP}] )
nautilus? (
${PYTHON_DEPS}
dev-python/nautilus-python[${PYTHON_USEDEP}]
)
"
BDEPEND="nls? ( sys-devel/gettext )"

Binary file not shown.

@ -3,3 +3,4 @@ DIST zstd-1.3.4.tar.gz 2059958 BLAKE2B b1d332a35066fb00e32c6dccebd5ad1065bcc3c7d
DIST zstd-1.3.7.tar.gz 1825458 BLAKE2B 2a689289ec70fd510575aecebf88ad763bd150e578d70d9fbb1678cba314c90a60339697232a5515990505e3c889aac92c3c2c4c3fc48e0d434b4dfd6cac9df1 SHA512 b7a432b13e237ac1490cd82b87727f6a4385d5ea7b89f566dea61a3993e17909c03288f727326ada326e36eb47ea5f9eab67c097808ee42f52cc800a7f7e1738
DIST zstd-1.3.8.tar.gz 1875233 BLAKE2B c9775b0e33e61d2c064df60a266246f6b9b65b70ba2cc529633cf700b5dcac795e13ec0e20bd51bdd02ee5fddbc7f2fc030902ee37a5a433c2d7828c285b3c23 SHA512 834f7b6477c1e7d70f71105ea52be15c33866b48b93b7a3c6dff4f10c761e5ad35f3903899516317690a4b768051f6eedf7c030292f57cea5613d4017fab9466
DIST zstd-1.4.0.tar.gz 1898741 BLAKE2B 1b92a055712bb47c3d56c51f3ddddeaba00f9b746f7e47a2fa1a0afdf9798ff90f0ec734880a5d03644d47deb0e55f75c2cd3cbdab1a146dba5f49d4efeb2ae0 SHA512 8614934e25eb1e82b554c483bc9d2d055f51344697295e83b22a8d726321b12068cfa7f7d2a9fe28a2de7c9edda59733826277efc7046e13674d6f7f02af5671
DIST zstd-1.4.1.tar.gz 1908835 BLAKE2B 564ae54a96804954c25987eb0a744b7197c17555286187f615ce8c1b0a52a0522dc8a9e0c1e4e8b7ddd2ffbf302646b7c119d2b5be4d0867e58d2ee4ff70efa4 SHA512 5bfac959dbbcfaa16fc0b5d3d5028c606e0c56d385581644a7376d6c61f2efc081efa65e7cc3d3e7b4c107646e0b67b3a75f9b3ff392624025d3a0816c45a9f2

@ -0,0 +1,62 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit multilib-minimal toolchain-funcs
DESCRIPTION="zstd fast compression library"
HOMEPAGE="https://facebook.github.io/zstd/"
SRC_URI="https://github.com/facebook/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="|| ( BSD GPL-2 )"
SLOT="0/1"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="lz4 static-libs"
RDEPEND="app-arch/xz-utils
lz4? ( app-arch/lz4 )"
DEPEND="${RDEPEND}"
src_prepare() {
default
multilib_copy_sources
}
mymake() {
emake \
CC="$(tc-getCC)" \
CXX="$(tc-getCXX)" \
AR="$(tc-getAR)" \
PREFIX="${EPREFIX}/usr" \
LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
"${@}"
}
multilib_src_compile() {
mymake -C lib libzstd libzstd.a libzstd.pc
if multilib_is_native_abi ; then
mymake zstd
mymake -C contrib/pzstd
fi
}
multilib_src_install() {
mymake -C lib DESTDIR="${D}" install
if multilib_is_native_abi ; then
mymake -C programs DESTDIR="${D}" install
mymake -C contrib/pzstd DESTDIR="${D}" install
fi
}
multilib_src_install_all() {
einstalldocs
if ! use static-libs; then
find "${ED}" -name "*.a" -delete || die
fi
}

Binary file not shown.

@ -1,31 +0,0 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit eutils flag-o-matic toolchain-funcs
MY_P="${PV/./_}"
DESCRIPTION="Designed to heavily load CPU chips [testing purposes]"
HOMEPAGE="http://pages.sbcglobal.net/redelm/"
#SRC_URI="http://pages.sbcglobal.net/redelm/cpuburn_${MY_P}_tar.gz -> ${P}.tar.gz"
SRC_URI="https://dev.gentoo.org/~jlec/distfiles/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="-* amd64 x86"
IUSE=""
src_prepare() {
epatch \
"${FILESDIR}"/${P}-flags.patch \
"${FILESDIR}"/${P}-variables.patch
use amd64 && append-flags -m32 #65719
tc-export CC
}
src_install() {
dodoc Design README
dobin burn{BX,K6,K7,MMX,P5,P6}
}

@ -1,57 +0,0 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
MY_PV="${PV/./_}"
DESCRIPTION="CPU testing utilities in optimized assembler for maximum loading"
HOMEPAGE="https://downloads.bl4ckb0x.de/pages.sbcglobal.net/redelm/"
SRC_URI="https://downloads.bl4ckb0x.de/pages.sbcglobal.net/redelm/${PN}_${MY_PV}_tar.gz -> ${P}.tar.gz"
KEYWORDS="-* ~amd64 ~arm ~x86"
LICENSE="GPL-2"
SLOT="0"
PATCHES=( "${FILESDIR}/${P}-variables.patch" )
QA_FLAGS_IGNORED="usr/bin/burnBX
usr/bin/burnK6
usr/bin/burnK7
usr/bin/burnMMX
usr/bin/burnP5
usr/bin/burnP6"
QA_TEXTRELS="${QA_FLAGS_IGNORED}"
src_prepare() {
default
# Respect users compiler and users CFLAGS and LDFLAGS on x86/amd64
# Must be always compiled in 32-bit on amd64 arch
# See https://bugs.gentoo.org/65719
sed -i -e 's/gcc -s/$(CC) $(CFLAGS) -m32 $(LDFLAGS)/' Makefile || die
# Respect users compiler and users CFLAGS and LDFLAGS on arm
sed -i -e '/CC :=/d' -e 's/^.*-mfloat-abi=softfp/ $(CC) $(CFLAGS) -nostdlib $(LDFLAGS)/' ARM/Makefile || die
}
src_compile() {
if use arm; then
cd "${S}"/ARM || die
fi
default
}
src_install() {
if use arm; then
dobin ARM/burnCortexA8 ARM/burnCortexA9
local DOCS=( "ARM/Design" "README" )
else
dobin burnBX burnK6 burnK7 burnMMX burnP5 burnP6
local DOCS=( "Design" "README" )
fi
einstalldocs
}

@ -1,7 +0,0 @@
--- Makefile.orig 2001-06-16 05:39:17.000000000 +0200
+++ Makefile 2010-10-12 20:31:38.000000000 +0200
@@ -1,3 +1,3 @@
all : burnP5 burnP6 burnK6 burnK7 burnBX burnMMX
.S:
- gcc -s -nostdlib -o $@ $<
+ $(CC) $(CFLAGS) $(LDFLAGS) -nostdlib -o $@ $<

@ -1,2 +1 @@
DIST stress-ng-0.09.57.tar.xz 386624 BLAKE2B 524a69e08dc2443d3a66ad46d07f509333eb497ede6bfe11ef10f84fc33720597eae5ce58d706e5384be19f361fc7b4b762110e3ca10556ef4ccfd804dcd1be4 SHA512 5c3bd06be0f66a6bbb88393b3d22400b5a307e4c45e27d7cb15502370b0873ec11c911aa31fa066400152169ec5bea29c1c0260899dedbc640fbef09ee672cb5
DIST stress-ng-0.10.00.tar.xz 397988 BLAKE2B 70cc9b0e592685c10207144f1752371944bfc449646580b0100c628598b6d8e80f3088935cd3fabec27ac8943d03a1eae9f1201969b7dd93d4ae64b6669400af SHA512 1acb8fde49d2c613f7958d86268bfce0c0d5482bea573c31182d3ebba855db7522d206c284c64662d4642be7bed3af36b21481c8eede528e589b0a1b0ec7fe07

@ -1,30 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="Stress test for a computer system with various selectable ways"
HOMEPAGE="https://kernel.ubuntu.com/~cking/stress-ng/"
SRC_URI="https://kernel.ubuntu.com/~cking/tarballs/${PN}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
DEPEND="
dev-libs/libaio
dev-libs/libbsd
dev-libs/libgcrypt:0=
net-misc/lksctp-tools
sys-apps/attr
sys-apps/keyutils
sys-libs/libapparmor
sys-libs/libcap
sys-libs/zlib:=
"
RDEPEND="${DEPEND}"
DOCS=( "README" "README.Android" "TODO" "syscalls.txt" )
PATCHES=( "${FILESDIR}/${PN}-0.09.53-makefile.patch" )

@ -1,22 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit flag-o-matic
MY_P=${PN}-${PV/_/}
DESCRIPTION="Imposes stressful loads on different aspects of the system"
HOMEPAGE="https://people.seas.harvard.edu/~apw/stress"
SRC_URI="https://people.seas.harvard.edu/~apw/stress/${MY_P}.tar.gz -> ${MY_P}-r1.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 arm ~mips ppc ppc64 sparc x86"
IUSE="static"
S=${WORKDIR}/${MY_P}
src_prepare() {
use static && append-ldflags -static
}

@ -1,3 +1 @@
DIST wrk-3.1.2.tar.gz 902868 BLAKE2B 1b979a7b72c41d37ec63759c76770a74ca8cf618bf2e84b30556fa7db47b3cbe4957924a5ad90594580d4fed5194201d6205b04c660195466c6d6fb369604571 SHA512 399f33c2c008c21ac8fae1b561fe16ebcca324b5171340ffa706e84c256bf13a9983b5c18d258be6f87cb9fe8e38a434f9bfa7059395a01cb783f77faf952b15
DIST wrk-4.0.2.tar.gz 6146798 BLAKE2B 62188872a370d4ef3a3ffcf6f0568ca1b003473a1333b51d2b79fc3ce793c39ba5958d95c877fc0382751e89b687c8ee7f20b376c9b2fe3826afc3161aa0ac8e SHA512 4279cf7136e2919779be3f61f462136a7a5288eac481104b844193682a8fc554581fd3942624d0be9317a3e82c82497927a124b9b4dbdf455e30d3f0cad1fdea
DIST wrk-4.1.0.tar.gz 6478125 BLAKE2B d64c172819a32b874e5351ef1088a66af7eb76ae34421577f817f14797a5711665adb8074e90a80e511139a889d4c960dc91caa5855bbd67038229307ef93ed2 SHA512 2c8d05f8e40c3a6234bc1c2862157764532a39046860210fe512c260c2b940e1e3120b831d0721c936c7bca474574600cda1f4c949b53738199d98102e32cb1a

@ -1,54 +0,0 @@
diff --git i/Makefile w/Makefile
index d956c6b..48be677 100644
--- i/Makefile
+++ w/Makefile
@@ -1,4 +1,4 @@
-CFLAGS := -std=c99 -Wall -O2 -D_REENTRANT
+CFLAGS += -std=c99 -Wall -D_REENTRANT
LIBS := -lpthread -lm -lcrypto -lssl
TARGET := $(shell uname -s | tr '[A-Z]' '[a-z]' 2>/dev/null || echo unknown)
@@ -23,38 +23,31 @@ BIN := wrk
ODIR := obj
OBJ := $(patsubst %.c,$(ODIR)/%.o,$(SRC)) $(ODIR)/bytecode.o
-LDIR = deps/luajit/src
-LIBS := -lluajit $(LIBS)
-CFLAGS += -I$(LDIR)
-LDFLAGS += -L$(LDIR)
+LIBS := $(shell pkg-config --libs luajit) $(LIBS)
+CFLAGS += $(shell pkg-config --cflags luajit)
all: $(BIN)
clean:
$(RM) $(BIN) obj/*
- @$(MAKE) -C deps/luajit clean
$(BIN): $(OBJ)
@echo LINK $(BIN)
- @$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
+ @$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
-$(OBJ): config.h Makefile $(LDIR)/libluajit.a | $(ODIR)
+$(OBJ): config.h Makefile | $(ODIR)
$(ODIR):
@mkdir -p $@
$(ODIR)/bytecode.o: src/wrk.lua
@echo LUAJIT $<
- @$(SHELL) -c 'cd $(LDIR) && ./luajit -b $(CURDIR)/$< $(CURDIR)/$@'
+ @$(SHELL) -c 'luajit -b $(CURDIR)/$< $(CURDIR)/$@'
$(ODIR)/%.o : %.c
@echo CC $<
@$(CC) $(CFLAGS) -c -o $@ $<
-$(LDIR)/libluajit.a:
- @echo Building LuaJIT...
- @$(MAKE) -C $(LDIR) BUILDMODE=static
-
.PHONY: all clean
.SUFFIXES:
.SUFFIXES: .c .o .lua

@ -1,31 +0,0 @@
--- Makefile.orig 2018-01-21 01:00:58.000000000 -0500
+++ Makefile 2018-02-15 22:03:01.565862308 -0500
@@ -1,4 +1,4 @@
-CFLAGS += -std=c99 -Wall -O2 -D_REENTRANT
+CFLAGS += -std=c99 -Wall -D_REENTRANT
LIBS := -lpthread -lm -lssl -lcrypto
TARGET := $(shell uname -s | tr '[A-Z]' '[a-z]' 2>/dev/null || echo unknown)
@@ -30,20 +30,8 @@
CFLAGS += -I$(ODIR)/include
LDFLAGS += -L$(ODIR)/lib
-ifneq ($(WITH_LUAJIT),)
- CFLAGS += -I$(WITH_LUAJIT)/include
- LDFLAGS += -L$(WITH_LUAJIT)/lib
-else
- CFLAGS += -I$(ODIR)/include/luajit-2.1
- DEPS += $(ODIR)/lib/libluajit-5.1.a
-endif
-
-ifneq ($(WITH_OPENSSL),)
- CFLAGS += -I$(WITH_OPENSSL)/include
- LDFLAGS += -L$(WITH_OPENSSL)/lib
-else
- DEPS += $(ODIR)/lib/libssl.a
-endif
+CFLAGS += $(shell pkg-config openssl luajit --cflags)
+LDFLAGS += $(shell pkg-config openssl luajit --libs)
all: $(BIN)

@ -1,37 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit eutils
DESCRIPTION="A modern HTTP benchmarking tool"
HOMEPAGE="https://github.com/wg/wrk"
SRC_URI="https://github.com/wg/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="libressl"
DEPEND=">=dev-lang/luajit-2.0.2
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )"
RDEPEND="${DEPEND}"
src_prepare() {
rm -rf deps/luajit || die "failed to remove bundled luajit"
epatch "${FILESDIR}/${PN}-3.1.1-makefile.patch"
}
src_compile() {
tc-export CC
emake
}
src_install() {
dobin ${PN}
dodoc README NOTICE
insinto /usr/share/${PN}
doins -r scripts
}

@ -1,32 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit eutils
DESCRIPTION="A modern HTTP benchmarking tool"
HOMEPAGE="https://github.com/wg/wrk"
SRC_URI="https://github.com/wg/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="libressl"
DEPEND=">=dev-lang/luajit-2.0.2
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )"
RDEPEND="${DEPEND}"
src_compile() {
tc-export CC
emake VER="${PV}" WITH_LUAJIT="${EPREFIX}"/usr WITH_OPENSSL="${EPREFIX}"/usr
}
src_install() {
dobin ${PN}
dodoc README NOTICE
insinto /usr/share/${PN}
doins -r scripts
}

@ -1,38 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit eutils
DESCRIPTION="A modern HTTP benchmarking tool"
HOMEPAGE="https://github.com/wg/wrk"
SRC_URI="https://github.com/wg/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="libressl"
DEPEND=">=dev-lang/luajit-2.0.2
dev-lang/lua:0
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )"
RDEPEND="${DEPEND}"
src_prepare() {
rm -rf deps/ || die "failed to remove bundled dependencies"
epatch "${FILESDIR}/${PN}-4.1.0-makefile.patch"
}
src_compile() {
tc-export CC
emake
}
src_install() {
dobin ${PN}
dodoc README.md NOTICE
insinto /usr/share/${PN}
doins -r scripts
}

Binary file not shown.

@ -20,7 +20,7 @@ SLOT="0"
IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
CDEPEND="
CDEPEND="${PYTHON_DEPS}
>=dev-python/appdirs-1.4.3[${PYTHON_USEDEP}]
>=dev-python/pyparsing-2.2.0[${PYTHON_USEDEP}]
>=dev-python/packaging-16.8[${PYTHON_USEDEP}]
@ -34,8 +34,7 @@ RDEPEND="${CDEPEND}"
DEPEND=""
src_install() {
dobin acmebot
python_replicate_script "${ED}"/usr/bin/acmebot
python_foreach_impl python_doscript acmebot
insinto /etc/logrotate.d
doins logrotate.d/acmebot
insinto /etc/acmebot

@ -20,7 +20,7 @@ SLOT="0"
IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
CDEPEND="
CDEPEND="${PYTHON_DEPS}
>=dev-python/appdirs-1.4.3[${PYTHON_USEDEP}]
>=dev-python/pyparsing-2.2.0[${PYTHON_USEDEP}]
>=dev-python/packaging-16.8[${PYTHON_USEDEP}]
@ -34,8 +34,7 @@ RDEPEND="${CDEPEND}"
DEPEND=""
src_install() {
dobin acmebot
python_replicate_script "${ED}"/usr/bin/acmebot
python_foreach_impl python_doscript acmebot
insinto /etc/logrotate.d
doins logrotate.d/acmebot
insinto /etc/acmebot

@ -13,7 +13,7 @@ SRC_URI="mirror://gnupg/gnupg/${MY_P}.tar.bz2"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 ~riscv s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 ~arm arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~riscv s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="bzip2 doc ldap nls readline selinux +smartcard ssl tofu tools usb user-socket wks-server"
# Existence of executables is checked during configuration.

@ -14,8 +14,9 @@ SRC_URI="https://github.com/Yubico/yubikey-manager-qt/releases/download/${P}/${P
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64"
REQUIRED_USE=${PYTHON_REQUIRED_USE}
DEPEND="
DEPEND="${PYTHON_DEPS}
>=app-crypt/yubikey-manager-0.7.0[${PYTHON_USEDEP}]
<app-crypt/yubikey-manager-0.8
dev-python/cryptography[${PYTHON_USEDEP}]

@ -14,8 +14,9 @@ SRC_URI="https://github.com/Yubico/${PN}/archive/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64"
REQUIRED_USE=${PYTHON_REQUIRED_USE}
DEPEND="
DEPEND="${PYTHON_DEPS}
>=app-crypt/yubikey-manager-1.0.0[${PYTHON_USEDEP}]
<app-crypt/yubikey-manager-2.0.0[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]

@ -14,8 +14,9 @@ SRC_URI="https://github.com/Yubico/${PN}/archive/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64"
REQUIRED_USE=${PYTHON_REQUIRED_USE}
DEPEND="
DEPEND="${PYTHON_DEPS}
>=app-crypt/yubikey-manager-1.0.0[${PYTHON_USEDEP}]
<app-crypt/yubikey-manager-3.0.0[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]

@ -14,8 +14,9 @@ SRC_URI="https://developers.yubico.com/${PN}/Releases/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64"
REQUIRED_USE=${PYTHON_REQUIRED_USE}
DEPEND="
DEPEND="${PYTHON_DEPS}
>=app-crypt/yubikey-manager-1.0.0[${PYTHON_USEDEP}]
<app-crypt/yubikey-manager-3.0.0[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]

Binary file not shown.

@ -12,7 +12,7 @@ if [[ ${PV} == 9999* ]] ; then
else
SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> vim-${PV}.tar.gz
https://dev.gentoo.org/~radhermit/vim/vim-8.0.0938-gentoo-patches.tar.bz2"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~riscv s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 ~arm arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~riscv s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
DESCRIPTION="vim and gvim shared files"

@ -15,7 +15,7 @@ if [[ ${PV} == 9999* ]] ; then
else
SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> ${P}.tar.gz
https://dev.gentoo.org/~radhermit/vim/vim-8.0.0938-gentoo-patches.tar.bz2"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~riscv s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 ~arm arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~riscv s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
DESCRIPTION="Vim, an improved vi-style text editor"

Binary file not shown.

@ -1,3 +1,4 @@
DIST buildah-1.8.3.tar.gz 5114332 BLAKE2B 55ef5e10e8a2a2b95ef8f8cd28a3ccdb3e734fc3ef64a890900e20a5b8994f92571e2cdec875813203fc4e98a8c4f09656d16bc4c6242194131a25713e054492 SHA512 f875c448f81ef272ad0b7be9c1579d6650983fed4e471095cd645ae1126b49d91ec15b55a072e722205154b681eefc0fb32f5a452d827e875eb0c4779f5d712b
DIST buildah-1.8.4.tar.gz 5122400 BLAKE2B b02a1cac77f5f16ab6cec3a74f11ee94675c717ead21fd791feb4cfbd08dcfb4313a1ee3134d3b9f9d20218935db35e28dab406a9f706ff2f46a2beb1abaa56b SHA512 a316e5e2bea7cded1db089bbc7831c9af69242caa6108c78d63864c012053bda3dc3da5bf70248b2742b2be1ad66aeb59c844558022c20f79236f5b1292d6366
DIST buildah-1.9.0.tar.gz 5123317 BLAKE2B d38c36c2407b3a77a5f738e00ae08c4312945d5c2a4bb930e116e32171ea22c20e0a78e56cce7977844ff0d60306f5446a9c1a117d790ea83cc53e1e83e63417 SHA512 8defe72b267790a6d777eed2a68f89721184eab8df972ef59287e69e1719d1174cb120d6a0c254f8a3963721d34414ec614fb5d3e52fb85a6940c659ee720686
DIST buildah-1.9.2.tar.gz 9505091 BLAKE2B 886e1ae5804f005f5782d011ed8440a8ac5eb09b2cf7917ac04ed1ab3e08f8cce6ef9b8efaf3392d60ed46b5bdb2efcec8b44c0448f970210cd613837a5d8f1f SHA512 1add432491fcae3b22dac2768ba71be2a47f42f3d9fae14cc5ff54220b3b7b96a48a95cb10b249de98f9c3067d463bbeca75c7c52783c111a9b5ed0ba03eb30f

@ -0,0 +1,57 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit bash-completion-r1 golang-vcs-snapshot
KEYWORDS="~amd64"
DESCRIPTION="A tool that facilitates building OCI images"
HOMEPAGE="https://github.com/containers/buildah"
LICENSE="Apache-2.0"
SLOT="0"
IUSE="ostree selinux"
EGO_PN="${HOMEPAGE#*//}"
EGIT_COMMIT="v${PV}"
GIT_COMMIT="2110f05"
SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
RDEPEND="app-crypt/gpgme:=
app-emulation/skopeo
dev-libs/libgpg-error:=
dev-libs/libassuan:=
sys-fs/lvm2:=
sys-libs/libseccomp:=
selinux? ( sys-libs/libselinux:= )"
DEPEND="${RDEPEND}"
RESTRICT="test"
REQUIRED_USE="!selinux? ( !ostree )"
S="${WORKDIR}/${P}/src/${EGO_PN}"
src_prepare() {
default
sed -e 's|^\(GIT_COMMIT ?= \).*|\1'${GIT_COMMIT}'|' -i Makefile || die
[[ -f ostree_tag.sh ]] || die
use ostree || { echo -e "#!/bin/sh\necho containers_image_ostree_stub" > \
ostree_tag.sh || die; }
[[ -f selinux_tag.sh ]] || die
use selinux || { echo -e "#!/bin/sh\ntrue" > \
selinux_tag.sh || die; }
}
src_compile() {
export -n GOCACHE XDG_CACHE_HOME
GOPATH="${WORKDIR}/${P}" emake all
}
src_install() {
dodoc CHANGELOG.md CONTRIBUTING.md README.md install.md troubleshooting.md
doman docs/*.1
dodoc -r docs/tutorials
dobin ${PN} imgtype
dobashcomp contrib/completions/bash/buildah
}
src_test() {
GOPATH="${WORKDIR}/${P}" emake test-unit
}

@ -2,3 +2,5 @@ DIST cri-o-1.10.6.tar.gz 5161858 BLAKE2B bbfaf60c92dee3a9f42e9d4fc9b5482057a7a0f
DIST cri-o-1.13.9.tar.gz 6685519 BLAKE2B 5d9e68c7a0ae532e2406e5e47562693cddbc34a8b3ddcab0a7a34509dff8383d1fc255cba634efb186193e5784cc6a7638387ca29e68288af7621b8b25f1a71a SHA512 1541368955c62c697dbd6b850cdf6762a13a7a308f699e3a50dbfe29fbf991f4f47cfcce75bc41745e0c27acb29457ec86d3312ef13341a5d94526865e60eb3e
DIST cri-o-1.14.2.tar.gz 9347347 BLAKE2B 83a0d77245bc841a9f89c55c853b64e69cec124da07b1314cfc27237cc82c55e49becc0f14c579a09d23e8da047c6bbb285b0eb79c4609a23827ab24ae28ce4a SHA512 1499b09a8f5c51b426bd8fba7c254288707524a363bfa97537edd35fdf29ac354d13578f2bf3c09c2d128650082f9a2bfbf69872fa9fce77dbff43913afc8066
DIST cri-o-1.14.4.tar.gz 9370878 BLAKE2B 50fd9b9c4802d2d89b8bbc83d1faf3084a2978835c579814730b93772f3e04cef8d1b46b2176eff494906e89fc20a53cbcab0cf0cabaed74ddcf56bd9f89b14d SHA512 2a78e7ec3ba5ff80649ec11e42da80b15ab86e5b541ffa626a65042b362ac8445bbf00ec46014c0fdd8baec2e4777e23a2463de318113f9c4c6ddda92b5cf3b7
DIST cri-o-1.14.9.tar.gz 8357782 BLAKE2B ab4df69f231a0e1998182b086eb92e72211282c3f136e3cb2a4f06a94a4de86616d6a540ee8645cfb8d2189e791181b2b39f0e76f19e1a181e495dd5321eb7e7 SHA512 afa17b8a43e7776b44250bfa4657c6a7d4ddd1438ef012a0cb78a98fb73bdc477e990109355d97a84dd38f4ac13d42785c065eb577f978c124e6f8c95e751f94
DIST cri-o-1.15.0.tar.gz 12153225 BLAKE2B c2db397cb2660af62c53bb5b166854d43cab665f53979ea45e6352929f0070ce7a730d356c7e71edb376d89baa0f616d84fe71017a6d6ca4d6b1270196cc1804 SHA512 4d5460f1e476085523cd82136d80ef32de645a8e6dd2da3ba7b1575cfee9e8ed44de7c144a8338aeb379a6ba506350e10cfc6feb3317b34429d41cb5fe6e20c4

@ -0,0 +1,110 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EGIT_COMMIT="0af20c51a25a04ef77f7e038ff4f24a5a87cd1df"
EGO_PN="github.com/cri-o/${PN}"
inherit golang-vcs-snapshot
DESCRIPTION="OCI-based implementation of Kubernetes Container Runtime Interface"
HOMEPAGE="https://cri-o.io/"
SRC_URI="https://github.com/cri-o/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="btrfs +device-mapper ostree selinux systemd"
COMMON_DEPEND="
app-crypt/gpgme:=
app-emulation/runc
dev-libs/glib:=
dev-libs/libassuan:=
dev-libs/libgpg-error:=
net-firewall/conntrack-tools
net-firewall/iptables
net-misc/cni-plugins
net-misc/socat
sys-apps/iproute2
sys-libs/libseccomp:=
btrfs? ( sys-fs/btrfs-progs )
device-mapper? ( sys-fs/lvm2:= )
ostree? ( dev-util/ostree )
selinux? ( sys-libs/libselinux:= )
systemd? ( sys-apps/systemd:= )"
DEPEND="
${COMMON_DEPEND}
dev-go/go-md2man"
RDEPEND="${COMMON_DEPEND}
!<app-emulation/libpod-1.3.2-r1"
S="${WORKDIR}/${P}/src/${EGO_PN}"
src_prepare() {
default
sed -e '/^GIT_.*/d' \
-e '/ git diff --exit-code/d' \
-e 's/$(GO) build -i/$(GO) build -v -work -x/' \
-e 's/\${GIT_COMMIT}/'${EGIT_COMMIT}'/' \
-i Makefile || die
echo ".NOTPARALLEL: binaries docs" >> Makefile || die
sed -e "s|^COMMIT_NO := .*|COMMIT_NO := ${EGIT_COMMIT}|" \
-e "s|^GIT_COMMIT := .*|GIT_COMMIT := ${EGIT_COMMIT}|" \
-i Makefile.inc || die
sed -e 's:/usr/local/bin:/usr/bin:' \
-i contrib/systemd/* || die
if ! use systemd; then
sed -e 's| pkg-config --exists libsystemd-journal | false |' \
-e 's| pkg-config --exists libsystemd | false |' \
-i conmon/Makefile || die
fi
}
src_compile() {
[[ -f hack/btrfs_installed_tag.sh ]] || die
use btrfs || { echo -e "#!/bin/sh\necho exclude_graphdriver_btrfs" > \
hack/btrfs_installed_tag.sh || die; }
[[ -f hack/libdm_installed.sh ]] || die
use device-mapper || { echo -e "#!/bin/sh\necho exclude_graphdriver_devicemapper" > \
hack/libdm_installed.sh || die; }
[[ -f hack/ostree_tag.sh ]] || die
use ostree || { echo -e "#!/bin/sh\necho containers_image_ostree_stub" > \
hack/ostree_tag.sh || die; }
[[ -f hack/selinux_tag.sh ]] || die
use selinux || { echo -e "#!/bin/sh\ntrue" > \
hack/selinux_tag.sh || die; }
mkdir -p bin || die
GOPATH="${WORKDIR}/${P}" GOBIN="${WORKDIR}/${P}/bin" \
emake all
}
src_install() {
emake DESTDIR="${D}" PREFIX="${D}${EPREFIX}/usr" install install.config install.systemd
keepdir /etc/crio
mv "${ED}/etc/crio/crio.conf"{,.example} || die
newinitd "${FILESDIR}/crio.initd" crio
insinto /etc/logrotate.d
newins "${FILESDIR}/${PN}.logrotated" "${PN}"
# Suppress crio log error messages triggered if these don't exist.
keepdir /etc/containers/oci/hooks.d
keepdir /usr/share/containers/oci/hooks.d
# Suppress crio "Missing CNI default network" log message.
keepdir /etc/cni/net.d
insinto /etc/cni/net.d
doins contrib/cni/99-loopback.conf
}

@ -0,0 +1,104 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EGIT_COMMIT="0af20c51a25a04ef77f7e038ff4f24a5a87cd1df"
EGO_PN="github.com/cri-o/${PN}"
inherit golang-vcs-snapshot
DESCRIPTION="OCI-based implementation of Kubernetes Container Runtime Interface"
HOMEPAGE="https://cri-o.io/"
SRC_URI="https://github.com/cri-o/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="btrfs +device-mapper selinux systemd"
COMMON_DEPEND="
app-crypt/gpgme:=
app-emulation/runc
dev-libs/glib:=
dev-libs/libassuan:=
dev-libs/libgpg-error:=
net-firewall/conntrack-tools
net-firewall/iptables
net-misc/cni-plugins
net-misc/socat
sys-apps/iproute2
sys-libs/libseccomp:=
btrfs? ( sys-fs/btrfs-progs )
device-mapper? ( sys-fs/lvm2:= )
selinux? ( sys-libs/libselinux:= )
systemd? ( sys-apps/systemd:= )"
DEPEND="
${COMMON_DEPEND}"
RDEPEND="${COMMON_DEPEND}
!<app-emulation/libpod-1.3.2-r1"
S="${WORKDIR}/${P}/src/${EGO_PN}"
src_prepare() {
default
sed -e '/^GIT_.*/d' \
-e '/ git diff --exit-code/d' \
-e 's/$(GO) build -i/$(GO) build -v -work -x/' \
-e 's/\${GIT_COMMIT}/'${EGIT_COMMIT}'/' \
-i Makefile || die
echo ".NOTPARALLEL: binaries docs" >> Makefile || die
sed -e "s|^COMMIT_NO := .*|COMMIT_NO := ${EGIT_COMMIT}|" \
-e "s|^GIT_COMMIT := .*|GIT_COMMIT := ${EGIT_COMMIT}|" \
-i Makefile.inc || die
sed -e 's:/usr/local/bin:/usr/bin:' \
-i contrib/systemd/* || die
if ! use systemd; then
sed -e 's| pkg-config --exists libsystemd-journal | false |' \
-e 's| pkg-config --exists libsystemd | false |' \
-i conmon/Makefile || die
fi
}
src_compile() {
[[ -f hack/btrfs_installed_tag.sh ]] || die
use btrfs || { echo -e "#!/bin/sh\necho exclude_graphdriver_btrfs" > \
hack/btrfs_installed_tag.sh || die; }
[[ -f hack/libdm_installed.sh ]] || die
use device-mapper || { echo -e "#!/bin/sh\necho exclude_graphdriver_devicemapper" > \
hack/libdm_installed.sh || die; }
[[ -f hack/selinux_tag.sh ]] || die
use selinux || { echo -e "#!/bin/sh\ntrue" > \
hack/selinux_tag.sh || die; }
mkdir -p bin || die
GOPATH="${WORKDIR}/${P}" GOBIN="${WORKDIR}/${P}/bin" \
emake all
}
src_install() {
emake DESTDIR="${D}" PREFIX="${D}${EPREFIX}/usr" install install.config install.systemd
keepdir /etc/crio
mv "${ED}/etc/crio/crio.conf"{,.example} || die
newinitd "${FILESDIR}/crio.initd" crio
insinto /etc/logrotate.d
newins "${FILESDIR}/${PN}.logrotated" "${PN}"
# Suppress crio log error messages triggered if these don't exist.
keepdir /etc/containers/oci/hooks.d
keepdir /usr/share/containers/oci/hooks.d
# Suppress crio "Missing CNI default network" log message.
keepdir /etc/cni/net.d
insinto /etc/cni/net.d
doins contrib/cni/99-loopback.conf
}

@ -15,6 +15,7 @@ LICENSE="CROSSOVER-3"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opengl +png +scanner +ssl +v4l"
REQUIRED_USE=${PYTHON_REQUIRED_USE}
RESTRICT="bindist test"
QA_FLAGS_IGNORED="opt/cxoffice/.*"
QA_PRESTRIPPED="opt/cxoffice/lib/.*

@ -15,6 +15,7 @@ LICENSE="CROSSOVER-3"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opengl +png +scanner +ssl +v4l"
REQUIRED_USE=${PYTHON_REQUIRED_USE}
RESTRICT="bindist test"
QA_FLAGS_IGNORED="opt/cxoffice/.*"
QA_PRESTRIPPED="opt/cxoffice/lib/.*

@ -15,6 +15,7 @@ LICENSE="CROSSOVER-3"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opengl +png +scanner +ssl +v4l"
REQUIRED_USE=${PYTHON_REQUIRED_USE}
RESTRICT="bindist test"
QA_FLAGS_IGNORED="opt/cxoffice/.*"
QA_PRESTRIPPED="opt/cxoffice/lib/.*

@ -15,6 +15,7 @@ LICENSE="CROSSOVER-3"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opengl +png +scanner +ssl +v4l"
REQUIRED_USE=${PYTHON_REQUIRED_USE}
RESTRICT="bindist test"
QA_FLAGS_IGNORED="opt/cxoffice/.*"
QA_PRESTRIPPED="opt/cxoffice/lib/.*

@ -15,6 +15,7 @@ LICENSE="CROSSOVER-3"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opencl +opengl +png +scanner +ssl +v4l"
REQUIRED_USE=${PYTHON_REQUIRED_USE}
RESTRICT="bindist test"
QA_FLAGS_IGNORED="opt/cxoffice/.*"
QA_PRESTRIPPED="opt/cxoffice/lib/.*

@ -15,6 +15,7 @@ LICENSE="CROSSOVER-3"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opencl +opengl +png +scanner +ssl +v4l"
REQUIRED_USE=${PYTHON_REQUIRED_USE}
RESTRICT="bindist test"
QA_FLAGS_IGNORED="opt/cxoffice/.*"
QA_PRESTRIPPED="opt/cxoffice/lib/.*

@ -15,6 +15,7 @@ LICENSE="CROSSOVER-3"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opencl +opengl +png +scanner +ssl +v4l"
REQUIRED_USE=${PYTHON_REQUIRED_USE}
RESTRICT="bindist test"
QA_FLAGS_IGNORED="opt/cxoffice/.*"
QA_PRESTRIPPED="opt/cxoffice/lib/.*

@ -15,6 +15,7 @@ LICENSE="CROSSOVER-3"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opencl +opengl +png +scanner +ssl +v4l"
REQUIRED_USE=${PYTHON_REQUIRED_USE}
RESTRICT="bindist test"
QA_FLAGS_IGNORED="opt/cxoffice/.*"
@ -45,6 +46,7 @@ BDEPEND="${PYTHON_DEPS}
"
RDEPEND="${DEPEND}
${PYTHON_DEPS}
!prefix? ( sys-libs/glibc )
>=dev-python/pygtk-2.10:2[${PYTHON_USEDEP}]
dev-python/dbus-python[${PYTHON_USEDEP}]

@ -15,6 +15,7 @@ LICENSE="CROSSOVER-3"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opencl +opengl +png +scanner +ssl +v4l"
REQUIRED_USE=${PYTHON_REQUIRED_USE}
RESTRICT="bindist test"
QA_FLAGS_IGNORED="opt/cxoffice/.*"
@ -45,6 +46,7 @@ BDEPEND="${PYTHON_DEPS}
"
RDEPEND="${DEPEND}
${PYTHON_DEPS}
!prefix? ( sys-libs/glibc )
>=dev-python/pygtk-2.10:2[${PYTHON_USEDEP}]
dev-python/dbus-python[${PYTHON_USEDEP}]

@ -15,6 +15,7 @@ LICENSE="CROSSOVER-3"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opencl +opengl +png +scanner +ssl +v4l"
REQUIRED_USE=${PYTHON_REQUIRED_USE}
RESTRICT="bindist test"
QA_FLAGS_IGNORED="opt/cxoffice/.*"
@ -45,6 +46,7 @@ BDEPEND="${PYTHON_DEPS}
"
RDEPEND="${DEPEND}
${PYTHON_DEPS}
!prefix? ( sys-libs/glibc )
>=dev-python/pygtk-2.10:2[${PYTHON_USEDEP}]
dev-python/dbus-python[${PYTHON_USEDEP}]

@ -1 +1 @@
DIST fs-uae-launcher-2.8.3.tar.gz 8784242 BLAKE2B e54f73efde6563d9e4ab6b4f57cc73bca80d72d0ded4db67edc53dc344685889abf485df067541e8d635595ac5457ec456ded0306310b1ad95a3b3ef07e53bc3 SHA512 4eaa5979fe2e8f2c792d4878e9a9ad0a0433206aac42aa380d97aee21e4ba29a54caced2437b83357c2c4d2fab121bfb821fdb8a883ead971766866b02067a2d
DIST fs-uae-launcher-3.0.0.tar.gz 9631352 BLAKE2B dc2f940cbde1fe9d2386e512bf5c0ca9a4ea19332826095cc5ba95e90c7f6cfaf0cd5dbaa692c192ac7d74a3ddf245062a0faeeccc9d8a135e544d304119e239 SHA512 76f9c48d2a46ece38aebb318a6d684ff40e85fef76bcc6ac57c7f397c828dae45541ba458a7792f102a8afc69a4183b9932b637318716a8b40ff3dbd3b37cad7

@ -1,21 +0,0 @@
--- a/fsgs/amiga/roms.py 2017-07-06 16:50:33.351036624 +0200
+++ b/fsgs/amiga/roms.py 2017-07-06 16:52:58.335040977 +0200
@@ -11,6 +11,8 @@
# Kickstart v1.3 r34.5 (1987)(Commodore)(A500-A1000-A2000-CDTV)[!]
# Kickstart v1.3 r34.5 (1987)(Commodore)(A500-A1000-A2000-CDTV)[o] (patch)
"891e9a547772fe0c6c19b610baf8bc4ea7fcb785",
+ # kick13.rom - from Upgrade Commodore Amiga 500 (1989)
+ "90933936cce43ca9bc6bf375662c076b27e3c458",
]
A500P_KICKSTARTS = [
@@ -55,6 +57,9 @@
# Kickstart v3.1 r40.68 (1993)(Commodore)(A4000)[h Cloanto]
# "c3c481160866e60d085e436a24db3617ff60b5f9",
+
+ # Kickstart v3.1 r40.10 (15.7.93) from german A4000
+ "3b7f1493b27e212830f989f26ca76c02049f09ca",
]
CD32_KICKSTARTS = [

@ -0,0 +1,14 @@
diff -Naur a/fsgs/amiga/roms.py b/fsgs/amiga/roms.py
--- a/fsgs/amiga/roms.py 2019-06-21 17:49:42.000000000 +0100
+++ b/fsgs/amiga/roms.py 2019-07-21 21:42:14.135600616 +0100
@@ -10,7 +10,9 @@
# amiga-os-130.rom (decrypted, patched)
# Kickstart v1.3 r34.5 (1987)(Commodore)(A500-A1000-A2000-CDTV)[!]
# Kickstart v1.3 r34.5 (1987)(Commodore)(A500-A1000-A2000-CDTV)[o] (patch)
- "891e9a547772fe0c6c19b610baf8bc4ea7fcb785"
+ "891e9a547772fe0c6c19b610baf8bc4ea7fcb785",
+ # kick13.rom - from Upgrade Commodore Amiga 500 (1989)
+ "90933936cce43ca9bc6bf375662c076b27e3c458",
]
A500_1_2_KICKSTARTS = [

@ -18,9 +18,9 @@ IUSE="lha"
RDEPEND="
app-emulation/fs-uae
dev-python/pyopengl[${PYTHON_USEDEP}]
dev-python/PyQt5[${PYTHON_USEDEP},declarative,gui,network,opengl,widgets]
dev-python/six[${PYTHON_USEDEP}]
dev-python/pyopengl[${PYTHON_USEDEP}]
dev-python/requests[${PYTHON_USEDEP}]
lha? ( dev-python/python-lhafile[${PYTHON_USEDEP}] )
"
@ -29,17 +29,17 @@ DEPEND="
"
PATCHES=(
"${FILESDIR}"/${P}-German-ROMs.patch
"${FILESDIR}"/${P}-QApplication.patch
"${FILESDIR}"/${P}-ROMs.patch
"${FILESDIR}"/${PN}-2.8.3-QApplication.patch
)
src_prepare() {
default
# Unbundle some libraries. Keep oyoyo IRC library because upstream
# Unbundle OpenGL library. Keep oyoyo IRC library because upstream
# is long dead and it's not worth packaging separately.
rm -r {OpenGL,six}/ || die
sed -i -r "/OpenGL|six/d" setup.py || die
rm -r OpenGL || die
sed -i -r "/OpenGL/d" setup.py || die
}
src_compile() {

@ -1 +1 @@
DIST fs-uae-2.8.3.tar.gz 5017047 BLAKE2B 3d921446381b56d39410e4d68291c1cb696abd5e1b25105bdcc367c07112e79197d8267cfcb21f3f844cf5ac0a02a19ebec76611f34e747c6d03fefc2858a020 SHA512 1ccab4329a6b678a97f336b963bfaf9ea26bccccba31c90f1b7a8c2a6d3a9f343f9095733be744d4357495c808216d32c08a2bd8ce05bba73017147616d5e8cf
DIST fs-uae-3.0.0.tar.gz 4841427 BLAKE2B 318bf457cca60e763a938d3d1a846e72a50f9b899dd8eefd79bc331f385a3529cb2bf2adc1616c1c5a04c1a1c92d4257c88593ada103d3e05847656a26a1c435 SHA512 3ceee2434b3aa3f545370a17149b3cda8d2eeb1bd093a45869a897a00b82ae4395efc52c129124e44262b47b7f56337e1adb9f58b0a1562efa73ee3ea3915b68

@ -1,36 +0,0 @@
From 5937f7587de5b96cbab120e99b6ae3a0cd722c53 Mon Sep 17 00:00:00 2001
From: James Le Cuirot <chewi@gentoo.org>
Date: Fri, 19 Apr 2019 21:56:58 +0100
Subject: [PATCH] Only run configure in libmpeg2 when using built-in version
---
configure.ac | 6 ++++--
1 file changed, 4 insertions(+), 2 deletions(-)
diff --git a/configure.ac b/configure.ac
index 39958ad..941391a 100644
--- a/configure.ac
+++ b/configure.ac
@@ -200,7 +200,7 @@ AS_IF([test "x$with_glew" = xyes], [
])
AC_ARG_WITH(libmpeg2, AS_HELP_STRING(
- [--without-libmpeg2], [or --with-libmpeg=builtin to use included version]))
+ [--without-libmpeg2], [or --with-libmpeg2=builtin to use included version]))
AM_CONDITIONAL([BUILTIN_LIBMPEG2], [test x$with_libmpeg2 = xbuiltin])
AS_IF([test "x$with_libmpeg2" != xno], [
AS_IF([test "x$with_libmpeg2" = xbuiltin], [
@@ -776,7 +776,9 @@ OPT_FEATURE([A_ZIP], [zip], [zip],
AC_DEFINE([FPU_UAE], [1], [Define to 1])
-AC_CONFIG_SUBDIRS([libmpeg2])
+AS_IF([test "x$with_libmpeg2" = xbuiltin], [
+ AC_CONFIG_SUBDIRS([libmpeg2])
+])
# Write Makefile
--
2.20.1

@ -0,0 +1,48 @@
From b10a8c60fb2cc4d80eb5a95591a9e79681f7830a Mon Sep 17 00:00:00 2001
From: James Le Cuirot <chewi@gentoo.org>
Date: Fri, 19 Apr 2019 21:56:58 +0100
Subject: [PATCH] Only run configure in libmpeg2 when using built-in version
---
Makefile.am | 3 +++
configure.ac | 4 +++-
2 files changed, 6 insertions(+), 1 deletion(-)
diff --git a/Makefile.am b/Makefile.am
index 66356baa..eece9f1e 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,6 +1,7 @@
# Makefile.am for FS-UAE
SUBDIRS =
+DIST_SUBDIRS =
WARNINGS =
@@ -1262,6 +1263,7 @@ endif
if BUILTIN_LIBMPEG2
SUBDIRS += libmpeg2
+DIST_SUBDIRS += libmpeg2
AM_CPPFLAGS += -I$(s)/libmpeg2/include
fs_uae_LDADD += \
libmpeg2/libmpeg2/.libs/libmpeg2.a \
diff --git a/configure.ac b/configure.ac
index 5dd3bfbd..4d4849fd 100644
--- a/configure.ac
+++ b/configure.ac
@@ -801,7 +801,9 @@ OPT_FEATURE([A_ZIP], [zip], [zip],
AC_DEFINE([FPU_UAE], [1], [Define to 1])
-AC_CONFIG_SUBDIRS([libmpeg2])
+AS_IF([test "x$with_libmpeg2" = xbuiltin], [
+ AC_CONFIG_SUBDIRS([libmpeg2])
+])
# Write Makefile
--
2.21.0

@ -27,6 +27,7 @@ RDEPEND="
DEPEND="
${RDEPEND}
x11-base/xorg-proto
"
BDEPEND="
@ -35,18 +36,18 @@ BDEPEND="
"
PATCHES=(
"${FILESDIR}"/${PN}-2.8.3-libmpeg2.patch
"${FILESDIR}"/${PN}-3.0.0-libmpeg2.patch
)
src_prepare() {
default
AT_NO_RECURSIVE=1 eautoreconf
# Ensure bundled libraries are not used. GLee and Udis86 are unused
# Ensure bundled libraries are not used. Udis86 is unused
# regardless. Only FLAC headers are bundled and the library is never
# used? Lua is bundled but differs from upstream. We keep the
# default of disabling the Lua feature anyway as it is unfinished.
rm -r glee/ libmpeg2/ libudis86/ || die
rm -r libmpeg2/ libudis86/ || die
}
src_configure() {
@ -67,18 +68,18 @@ src_configure() {
--enable-gfxboard \
--enable-jit \
--enable-jit-fpu \
--enable-ncr9x \
--enable-ncr \
--enable-netplay \
--enable-ncr \
--enable-ncr9x \
--enable-parallel-port \
--enable-prowizard \
--enable-qemu-cpu \
--enable-qemu-slirp \
--enable-savestate \
--enable-scp \
--enable-serial-port \
--enable-slirp \
--enable-softfloat \
--enable-qemu-cpu \
--enable-qemu-slirp \
--enable-uaenative \
--enable-uaenet \
--enable-uaescsi \

@ -5,3 +5,4 @@ DIST skopeo-0.1.32.tar.gz 4366298 BLAKE2B b358cb197475d693fa47cdfda738a78f70c9f5
DIST skopeo-0.1.34.tar.gz 2859957 BLAKE2B f36062374b2afa7363a02d6410bd35bbf5ccd0599eea7eb6d68b769e9fbf492dc7843dbd184fccc742250fcd3e573e33bd5454971730bcec2151a52a32b81680 SHA512 3ba99fcbff9f46fa1a4226bfc54961cf640150e0e0ac6b3457e862ef94991fa05a7bd609cbf8c87a0424df6942653fb5492a3893fa5282242c4df6913c4312a2
DIST skopeo-0.1.35.tar.gz 2723348 BLAKE2B 74a98e43ff2b32ea29b9e57ea6ba20323660b631f4a7541aa1c720e283286809c501d655af18aa794123b3af727ca54bb41686a6b0d79b33c8f82f8642cc6176 SHA512 ec5aeb596aaf51512c049dc55353ce2d076ac30ae0fc3f9e90b8a8a9fb07ec86aafe51111d38e2d34ea5193c0a6f9e74a69536bf5b759fdedfa0c97deb211894
DIST skopeo-0.1.36.tar.gz 2754977 BLAKE2B 4a25bf092b45084d252f8cf0c50f2389210e06bb8ee4f2939cfc93e1e66764ee340d77ca7ff0e731b55dfc42c48bc69b567e6d43d10da1119f5eeeae34aba291 SHA512 2ee51017a8d768c2a7b264f4c50d4a29d8b99e30049277bca5a5d47ff0ff09bb1c92c54f7f5230d966976b41353f7c8ffb9aa5571da2471f526ec8476cb127b2
DIST skopeo-0.1.37.tar.gz 2766509 BLAKE2B 59e3f4cf37694b4ae59fe4eca6afd8abe4f7ab1aec3c0cee409be6f0f648fd2929092ee9b5a2b167c5041202dac908cd39f693d8ae8eebf621be47f302bd885c SHA512 e2de3c65f864572fe74ca55ee107703a49855f0da71c440784b06d13ed724456cf7bf30e18a5cb15cf2e136edc688b56321cf7838a2cc66f39c4ea9d9686441e

@ -0,0 +1,55 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EGO_PN=github.com/containers/skopeo
COMMIT=e079f9d
inherit golang-vcs-snapshot bash-completion-r1
DESCRIPTION="Command line utility foroperations on container images and image repositories"
HOMEPAGE="https://github.com/containers/skopeo"
SRC_URI="https://github.com/containers/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
COMMON_DEPEND=">=app-crypt/gpgme-1.5.5:=
>=dev-libs/libassuan-2.4.3:=
dev-libs/libgpg-error:=
>=sys-fs/btrfs-progs-4.0.1
>=sys-fs/lvm2-2.02.145:="
DEPEND="${COMMON_DEPEND}
dev-go/go-md2man"
RDEPEND="${COMMON_DEPEND}"
S="${WORKDIR}/${P}/src/${EGO_PN}"
RESTRICT="test"
src_compile() {
local BUILDTAGS="containers_image_ostree_stub"
set -- env -u GOCACHE -u XDG_CACHE_HOME GOPATH="${WORKDIR}/${P}" \
go build -ldflags "-X main.gitCommit=${COMMIT}" \
-gcflags "${GOGCFLAGS}" -tags "${BUILDTAGS}" \
-o skopeo ./cmd/skopeo
echo "$@"
"$@" || die
cd docs || die
for f in *.1.md; do
go-md2man -in ${f} -out ${f%%.md} || die
done
}
src_install() {
dobin skopeo
doman docs/*.1
dobashcomp completions/bash/skopeo
insinto /etc/containers
newins default-policy.json policy.json
insinto /etc/containers/registries.d
doins default.yaml
keepdir /var/lib/atomic/sigstore
einstalldocs
}

@ -1,24 +0,0 @@
https://bugs.gentoo.org/673800
diff --git a/src/VBox/Runtime/common/crypto/ssl-openssl.cpp b/src/VBox/Runtime/common/crypto/ssl-openssl.cpp
index e6d58b75..b2422983 100644
--- a/src/VBox/Runtime/common/crypto/ssl-openssl.cpp
+++ b/src/VBox/Runtime/common/crypto/ssl-openssl.cpp
@@ -271,7 +271,7 @@ RTDECL(int) RTCrSslCreateSessionForNativeSocket(RTCRSSL hSsl, RTHCINTPTR hNative
pSession->pBio = BIO_new_socket(hNativeSocket, BIO_NOCLOSE);
if (pSession->pBio)
{
-# if OPENSSL_VERSION_NUMBER >= 0x10100000
+# if (OPENSSL_VERSION_NUMBER >= 0x10100000 && !defined(LIBRESSL_VERSION_NUMBER)) || LIBRESSL_VERSION_NUMBER >= 0x2070000f
BIO_up_ref(pSession->pBio); /* our reference. */
# endif
SSL_set_bio(pSession->pSsl, pSession->pBio, pSession->pBio);
@@ -319,7 +319,7 @@ static int rtCrSslSessionDestroy(RTCRSSLSESSIONINT *pThis)
ASMAtomicWriteU32(&pThis->u32Magic, ~RTCRSSLSESSIONINT_MAGIC);
SSL_free(pThis->pSsl);
pThis->pSsl = NULL;
-# if OPENSSL_VERSION_NUMBER >= 0x10100000
+# if (OPENSSL_VERSION_NUMBER >= 0x10100000 && !defined(LIBRESSL_VERSION_NUMBER)) || LIBRESSL_VERSION_NUMBER >= 0x2070000f
BIO_free(pThis->pBio);
# endif
pThis->pBio = NULL;

@ -53,7 +53,8 @@ RDEPEND="!app-emulation/virtualbox-bin
lvm? ( sys-fs/lvm2 )
opus? ( media-libs/opus )
udev? ( >=virtual/udev-171 )
vnc? ( >=net-libs/libvncserver-0.9.9 )"
vnc? ( >=net-libs/libvncserver-0.9.9 )
${PYTHON_DEPS}"
DEPEND="${RDEPEND}
>=dev-util/kbuild-0.1.9998.3127
>=dev-lang/yasm-0.6.2

@ -53,7 +53,8 @@ RDEPEND="!app-emulation/virtualbox-bin
lvm? ( sys-fs/lvm2 )
opus? ( media-libs/opus )
udev? ( >=virtual/udev-171 )
vnc? ( >=net-libs/libvncserver-0.9.9 )"
vnc? ( >=net-libs/libvncserver-0.9.9 )
${PYTHON_DEPS}"
DEPEND="${RDEPEND}
>=dev-util/kbuild-0.1.9998.3127
>=dev-lang/yasm-0.6.2

@ -53,7 +53,8 @@ RDEPEND="!app-emulation/virtualbox-bin
lvm? ( sys-fs/lvm2 )
opus? ( media-libs/opus )
udev? ( >=virtual/udev-171 )
vnc? ( >=net-libs/libvncserver-0.9.9 )"
vnc? ( >=net-libs/libvncserver-0.9.9 )
${PYTHON_DEPS}"
DEPEND="${RDEPEND}
>=dev-util/kbuild-0.1.9998.3127
>=dev-lang/yasm-0.6.2

@ -56,6 +56,7 @@ CDEPEND="
opus? ( media-libs/opus )
udev? ( >=virtual/udev-171 )
vnc? ( >=net-libs/libvncserver-0.9.9 )
${PYTHON_DEPS}
"
DEPEND="
${CDEPEND}
@ -66,7 +67,6 @@ DEPEND="
pulseaudio? ( media-sound/pulseaudio )
qt5? ( dev-qt/linguist-tools:5 )
vboxwebsrv? ( net-libs/gsoap[-gnutls(-)] )
${PYTHON_DEPS}
"
BDEPEND="
>=dev-util/kbuild-0.1.9998.3127

@ -54,7 +54,8 @@ RDEPEND="!app-emulation/virtualbox-bin
lvm? ( sys-fs/lvm2 )
opus? ( media-libs/opus )
udev? ( >=virtual/udev-171 )
vnc? ( >=net-libs/libvncserver-0.9.9 )"
vnc? ( >=net-libs/libvncserver-0.9.9 )
${PYTHON_DEPS}"
DEPEND="${RDEPEND}
>=dev-util/kbuild-0.1.9998.3127
>=dev-lang/yasm-0.6.2

@ -356,7 +356,6 @@ src_prepare() {
local STAGING_EXCLUDE=""
use pipelight || STAGING_EXCLUDE="${STAGING_EXCLUDE} -W Pipelight"
use faudio && STAGING_EXCLUDE="${STAGING_EXCLUDE} -W xaudio2-revert -W xaudio2_CommitChanges -W xaudio2_7-WMA_support -W xaudio2_7-CreateFX-FXEcho"
# Launch wine-staging patcher in a subshell, using eapply as a backend, and gitapply.sh as a backend for binary patches
ebegin "Running Wine-Staging patch installer"

Binary file not shown.

@ -1,2 +1,2 @@
DIST collectd-5.8.0.tar.bz2 1686017 BLAKE2B 26d995cdb9c25869bf96a056e6ba879de9f009fd4bbf1364a7dedba93b822e57c4b606ca8c84da68cc29db8e77333047695e85d7eb101080de9cee783240f5ea SHA512 1b3d0cc44e2ca54e13eebf292074f1efa8b33d6800d04405e0eaaa2dd1cb2416c6eae580729fb5aead23a5039f41ffe8a9989a907a8c18be8f867f1099fc0008
DIST collectd-5.8.1.tar.bz2 1789228 BLAKE2B 739f961172978db33bdf95c8f93bde0036a26b2ed2abd3396a734d4b97c4ae117bb26a62fcdbb3d77bd63d9f64a38f83d0c8a0665e8fa7bf5ed2efc6838b0e8e SHA512 8c75448c6e59ee1ea5c1cf486c07040d20fb36d5b7a1be2ab45facea330166e8c1d1fa38e3fa82ec905428d7b2c92c66aae35ee8e3546f67ce76f7f410739901
DIST collectd-5.9.0.tar.bz2 1899573 BLAKE2B 0cd3d33ed219e56a42f737fa1d11eb8b85b1368bc33553c49e950d3a7805fa683e9a1b7d2ae9bbd3d195d051563cd800b472b56a874bc0482730bcd91ca2c38e SHA512 f2bf9896dd8fa116834418ea46aabdb160002da7f2600b7d5120d40eb7a956ccc845299696c854c2335946903374c84bbaeb28667319bf07b7a54ea465cccd54

@ -15,13 +15,14 @@ SRC_URI="${HOMEPAGE%/}/files/${P}.tar.bz2"
LICENSE="MIT GPL-2 GPL-2+ GPL-3 GPL-3+"
SLOT="0"
KEYWORDS="alpha amd64 arm x86"
KEYWORDS="~alpha ~amd64 ~arm ~x86"
IUSE="contrib debug java kernel_Darwin kernel_FreeBSD kernel_linux perl selinux static-libs udev xfs"
# The plugin lists have to follow here since they extend IUSE
# Plugins that don't build (e.g. dependencies not in Gentoo)
# apple_sensors: Requires libIOKit
# amqp1: Requires libqpid-proton
# aquaero: Requires aerotools-ng/libaquaero5
# barometer: Requires libi2c (i2c_smbus_read_i2c_block_data)
# dpdkevents: Requires dpdk
@ -39,8 +40,8 @@ IUSE="contrib debug java kernel_Darwin kernel_FreeBSD kernel_linux perl selinux
# write_riemann: Requires riemann-c-client
# xmms: Requires libxmms (v1)
# zone: Solaris only...
COLLECTD_IMPOSSIBLE_PLUGINS="apple_sensors aquaero barometer dpdkstat grpc
intel_pmu intel_rdt lpar mic netapp pf pinba tape write_riemann
COLLECTD_IMPOSSIBLE_PLUGINS="apple_sensors amqp1 aquaero barometer dpdkstat
grpc intel_pmu intel_rdt lpar mic netapp pf pinba tape write_riemann
xmms zone"
# Plugins that have been (compile) tested and can be enabled via COLLECTD_PLUGINS
@ -159,7 +160,7 @@ REQUIRED_USE="
collectd_plugins_python? ( ${PYTHON_REQUIRED_USE} )
collectd_plugins_smart? ( udev )"
PATCHES=( "${FILESDIR}"/${P}-disk-plugin-udev-fix.patch )
PATCHES=()
# @FUNCTION: collectd_plugin_kernel_linux
# @DESCRIPTION:
@ -344,7 +345,11 @@ src_configure() {
# Disable what needs to be disabled.
for plugin in ${COLLECTD_DISABLED_PLUGINS}; do
myconf+=" --disable-${plugin}"
if [[ "${plugin}" == 'dpdkstat' ]]; then
myconf+=" --without-libdpdk"
else
myconf+=" --disable-${plugin}"
fi
done
# Set enable/disable for each single plugin.

@ -1,98 +0,0 @@
From ed696c1b3adcb42d55759efe6f8034337f0fd243 Mon Sep 17 00:00:00 2001
From: Dylan Stephano-Shachter <dylan@wopr.nasuni.net>
Date: Thu, 15 Feb 2018 16:37:33 -0500
Subject: [PATCH] change HAVE_UDEV_H to HAVE_LIBUDEV_H for bug 2651
---
src/disk.c | 20 ++++++++++----------
1 file changed, 10 insertions(+), 10 deletions(-)
diff --git a/src/disk.c b/src/disk.c
index 004ce9e2d7..04f337415f 100644
--- a/src/disk.c
+++ b/src/disk.c
@@ -139,7 +139,7 @@ static int pnumdisk;
#error "No applicable input method."
#endif
-#if HAVE_UDEV_H
+#if HAVE_LIBUDEV_H
#include <libudev.h>
static char *conf_udev_name_attr = NULL;
@@ -173,7 +173,7 @@ static int disk_config(const char *key, const char *value) {
"on Mach / Mac OS X and will be ignored.");
#endif
} else if (strcasecmp("UdevNameAttr", key) == 0) {
-#if HAVE_UDEV_H
+#if HAVE_LIBUDEV_H
if (conf_udev_name_attr != NULL) {
free(conf_udev_name_attr);
conf_udev_name_attr = NULL;
@@ -209,7 +209,7 @@ static int disk_init(void) {
/* #endif HAVE_IOKIT_IOKITLIB_H */
#elif KERNEL_LINUX
-#if HAVE_UDEV_H
+#if HAVE_LIBUDEV_H
if (conf_udev_name_attr != NULL) {
handle_udev = udev_new();
if (handle_udev == NULL) {
@@ -217,7 +217,7 @@ static int disk_init(void) {
return -1;
}
}
-#endif /* HAVE_UDEV_H */
+#endif /* HAVE_LIBUDEV_H */
/* #endif KERNEL_LINUX */
#elif KERNEL_FREEBSD
@@ -260,10 +260,10 @@ static int disk_init(void) {
static int disk_shutdown(void) {
#if KERNEL_LINUX
-#if HAVE_UDEV_H
+#if HAVE_LIBUDEV_H
if (handle_udev != NULL)
udev_unref(handle_udev);
-#endif /* HAVE_UDEV_H */
+#endif /* HAVE_LIBUDEV_H */
#endif /* KERNEL_LINUX */
return 0;
} /* int disk_shutdown */
@@ -325,7 +325,7 @@ static counter_t disk_calc_time_incr(counter_t delta_time,
}
#endif
-#if HAVE_UDEV_H
+#if HAVE_LIBUDEV_H
/**
* Attempt to provide an rename disk instance from an assigned udev attribute.
*
@@ -841,7 +841,7 @@ static int disk_read(void) {
output_name = disk_name;
-#if HAVE_UDEV_H
+#if HAVE_LIBUDEV_H
char *alt_name = NULL;
if (conf_udev_name_attr != NULL) {
alt_name =
@@ -852,7 +852,7 @@ static int disk_read(void) {
#endif
if (ignorelist_match(ignorelist, output_name) != 0) {
-#if HAVE_UDEV_H
+#if HAVE_LIBUDEV_H
/* release udev-based alternate name, if allocated */
sfree(alt_name);
#endif
@@ -878,7 +878,7 @@ static int disk_read(void) {
submit_io_time(output_name, io_time, weighted_time);
} /* if (is_disk) */
-#if HAVE_UDEV_H
+#if HAVE_LIBUDEV_H
/* release udev-based alternate name, if allocated */
sfree(alt_name);
#endif

Binary file not shown.

@ -1,8 +1,8 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 )
PYTHON_COMPAT=( python2_7 python3_6 )
inherit ltprune python-single-r1

@ -1 +1 @@
DIST g810-led-0.3.5.tar.gz 34543 BLAKE2B 6f5a946beea269d684bccaab5102f53b638f5ef66557809e50783fc0ce0ec508f2c8486b1da59347d4fb7099d4fee06bf364cafee2fe74fee88cce7860638a8e SHA512 25ed0a65b6c08de19a86c460a78a4b5a06e6e70e312840f7940317d71a3fbea723ce0926500258afbd4bccc534117228b2e800a54388bb70e00431bf8ae1668c
DIST g810-led-0.3.6.tar.gz 34544 BLAKE2B 142fd54d7721a1deebfb019b644a4c8ab0fd5e1662391075cea67a4c7b7145034101f14c22975bdf079ee5b8e56c4a73e18fe31ce5d7fcf20ff4b9c64ee85502 SHA512 5a1877ee135a662bc5eb15c1afe5370cfe9243b4479823e3492f0da8f407b1438e3d7e35bd9992eea8dcbd4d548c9acdb7e74f4c99efbd4e9e8e6ddae33f8a5b

@ -0,0 +1,85 @@
From afdc9719f3e37921b621046f01f23fe6b705f059 Mon Sep 17 00:00:00 2001
From: Andrew Borodin <aborodin@vmail.ru>
Date: Sun, 7 Jul 2019 14:44:10 +0300
Subject: [PATCH 1/2] Ticket #3933: report iso9660 listing errors.
Variation 1:
Steps to reproduce:
* create empty .iso file (touch foo.iso)
* run 'mc' and press enter on empty .iso
Expected result: some error about invalid file format (sililar to what
F3 view would yield).
Actual result: mc elters a file as if it would be empty valid file.
Variation 2:
Steps to reproduce:
* pick valid .iso file
* deinstall all helper tools that handle .sio (isoinfo, xorriso, etc.)
* run 'mc' and press enter on empty .iso
Expected result: some error about invalid file format (sililar to what
F3 view would yield)
Actual result: mc enters a file as if it would be empty valid file
Variation 2 is especially confusing for users as it does not hint them
that they should install a tool to get it working. They just observe
silently broken behaviour.
Signed-off-by: Andrew Borodin <aborodin@vmail.ru>
---
src/vfs/extfs/helpers/iso9660.in | 14 +++++++++++---
1 file changed, 11 insertions(+), 3 deletions(-)
diff --git a/src/vfs/extfs/helpers/iso9660.in b/src/vfs/extfs/helpers/iso9660.in
index 8c2240e8e..76273522e 100644
--- a/src/vfs/extfs/helpers/iso9660.in
+++ b/src/vfs/extfs/helpers/iso9660.in
@@ -93,6 +93,8 @@ xorriso_rm() {
# tested to comply with isoinfo 2.0's output
test_iso () {
+ which isoinfo 2>/dev/null || (echo "isoinfo not found" >&2; return 1)
+
CHARSET=$(locale charmap 2>/dev/null)
if test -z "$CHARSET"; then
CHARSET=$(locale 2>/dev/null | @GREP@ LC_CTYPE | sed -n -e 's/.*\.\(.*\)"$/\1/p')
@@ -119,6 +121,8 @@ test_iso () {
}
mcisofs_list () {
+ local lsl r
+
# left as a reminder to implement compressed image support =)
case "$1" in
*.lz) MYCAT="lzip -dc";;
@@ -133,7 +137,11 @@ mcisofs_list () {
*) MYCAT="cat";;
esac
- $ISOINFO -l -i "$1" 2>/dev/null | @AWK@ -v SEMICOLON=$SEMICOLON '
+ lsl=$($ISOINFO -l -i "$1" 2>/dev/null)
+ r=$?
+ test $r -gt 0 && return $r
+
+ echo "$lsl" | @AWK@ -v SEMICOLON=$SEMICOLON '
BEGIN {
dir="";
# Pattern to match 8 first fields.
@@ -183,8 +191,8 @@ shift
case "$cmd" in
list)
xorriso_list "$@" || {
- test_iso "$@";
- mcisofs_list "$@";
+ test_iso "$@" || exit 1
+ mcisofs_list "$@" || exit 1
}
exit 0
;;
--
2.22.0

@ -0,0 +1,29 @@
From c1b6d29b95a373108e8d03ac629dcb03fcec854c Mon Sep 17 00:00:00 2001
From: Andrew Borodin <aborodin@vmail.ru>
Date: Sun, 7 Jul 2019 15:51:28 +0300
Subject: [PATCH 2/2] iso9660: report errors in copyout in case of isoinfo
usage.
Signed-off-by: Andrew Borodin <aborodin@vmail.ru>
---
src/vfs/extfs/helpers/iso9660.in | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/src/vfs/extfs/helpers/iso9660.in b/src/vfs/extfs/helpers/iso9660.in
index 76273522e..f9c6e50ef 100644
--- a/src/vfs/extfs/helpers/iso9660.in
+++ b/src/vfs/extfs/helpers/iso9660.in
@@ -222,8 +222,8 @@ case "$cmd" in
;;
copyout)
xorriso_copyout "$@" || {
- test_iso "$@";
- mcisofs_copyout "$@";
+ test_iso "$@" || exit 1
+ mcisofs_copyout "$@" || exit 1
}
exit 0
;;
--
2.22.0

@ -0,0 +1,111 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic
MY_P=${P/_/-}
DESCRIPTION="GNU Midnight Commander is a text based file manager"
HOMEPAGE="https://www.midnight-commander.org"
SRC_URI="http://ftp.midnight-commander.org/${MY_P}.tar.xz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
IUSE="+edit gpm nls samba sftp +slang spell test unicode X +xdg"
REQUIRED_USE="spell? ( edit )"
RDEPEND=">=dev-libs/glib-2.26.0:2
gpm? ( sys-libs/gpm )
kernel_linux? ( sys-fs/e2fsprogs )
samba? ( net-fs/samba )
sftp? ( net-libs/libssh2 )
slang? ( >=sys-libs/slang-2 )
!slang? ( sys-libs/ncurses:0=[unicode?] )
spell? ( app-text/aspell )
X? ( x11-libs/libX11
x11-libs/libICE
x11-libs/libXau
x11-libs/libXdmcp
x11-libs/libSM )"
DEPEND="${RDEPEND}
app-arch/xz-utils
virtual/pkgconfig
nls? ( sys-devel/gettext )
test? ( dev-libs/check )
"
S=${WORKDIR}/${MY_P}
PATCHES=(
"${FILESDIR}"/${P}-3933-iso9660-1.patch
"${FILESDIR}"/${P}-3933-iso9660-2.patch
)
pkg_pretend() {
if use slang && use unicode ; then
ewarn "\"unicode\" USE flag only takes effect when the \"slang\" USE flag is disabled."
fi
}
src_configure() {
[[ ${CHOST} == *-solaris* ]] && append-ldflags "-lnsl -lsocket"
local myeconfargs=(
--disable-dependency-tracking
--disable-silent-rules
--enable-charset
--enable-vfs
--with-homedir=$(usex xdg 'XDG' '.mc')
--with-screen=$(usex slang 'slang' "ncurses$(usex unicode 'w' '')")
$(use_enable kernel_linux vfs-undelfs)
# Today mclib does not expose any headers and is linked to
# single 'mc' binary. Thus there is no advantage of having
# a library. Let's avoid shared library altogether
# as it also conflicts with sci-libs/mc: bug #685938
--disable-mclib
$(use_enable nls)
$(use_enable samba vfs-smb)
$(use_enable sftp vfs-sftp)
$(use_enable spell aspell)
$(use_enable test tests)
$(use_with gpm gpm-mouse)
$(use_with X x)
$(use_with edit internal-edit)
)
econf "${myeconfargs[@]}"
}
src_test() {
# CK_FORK=no to avoid using fork() in check library
# as mc mocks fork() itself: bug #644462.
#
# VERBOSE=1 to make test failures contain detailed
# information.
CK_FORK=no emake check VERBOSE=1
}
src_install() {
emake DESTDIR="${D}" install
dodoc AUTHORS README NEWS
# fix bug #334383
if use kernel_linux && [[ ${EUID} == 0 ]] ; then
fowners root:tty /usr/libexec/mc/cons.saver
fperms g+s /usr/libexec/mc/cons.saver
fi
if ! use xdg ; then
sed 's@MC_XDG_OPEN="xdg-open"@MC_XDG_OPEN="/bin/false"@' \
-i "${ED%/}"/usr/libexec/mc/ext.d/*.sh || die
fi
}
pkg_postinst() {
elog "To enable exiting to latest working directory,"
elog "put this into your ~/.bashrc:"
elog ". ${EPREFIX}/usr/libexec/mc/mc.sh"
}

@ -0,0 +1 @@
DIST rtlamr-0.9.1.tar.gz 961802 BLAKE2B 164e3071871a52ab13cadf55f3ac79243625de01f054ff0777b45928f8fc2f29c9088a1935499ec9363efeef66ec07ae68e659aa82662d5198c0037bbf953cef SHA512 1219d408ca324a2bb8a3b412fa1c8c04c637560cda2d49e5b66de7c8082d01f0ccb6b3fb4db520a5bc9ef74285c74e0b160b3c7c9de6fdc05054c27f19d3bf15

@ -1,5 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<!-- maintainer-needed -->
<maintainer type="person">
<email>williamh@gentoo.org</email>
<name>William Hubbs</name>
</maintainer>
</pkgmetadata>

@ -0,0 +1,19 @@
# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EGO_PN=github.com/bemasher/rtlamr
inherit golang-build golang-vcs-snapshot
DESCRIPTION="software defined radio receiver for utility smart meters"
HOMEPAGE="https://github.com/demasher/rtlamr"
SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="AGPL-3"
SLOT="0"
KEYWORDS="~amd64"
src_install() {
dobin ${PN}
dodoc src/${EGO_PN}/*.md src/${EGO_PN}/*.csv
}

@ -1,5 +1 @@
DIST votrify-1.tar.gz 6936 BLAKE2B 7c9a5668842c5b1783e5c8b2341d42aa21257b96a82210c16e44bee8f71b690c7dba5acf48a39beff0189106db1fe141ef1ec30d68f25573a19a53c12618d346 SHA512 14fdb4ee185d96f416b47df7b29175cebc6e003aca7c1faf927b258f7dbe39b7ed69c4defb25900c6856b6e9abde3b03a69ca02152755d8532708b6cfb7f51a0
DIST votrify-2.tar.gz 9095 BLAKE2B 801c9ad89f93349ce6ad0d9421e9a968a511d9699454c91cc713dd3a133c4f87666de3bc3905041999a5090eb5794d6ceed89aabc997e6950d2b5a4b4bb185cc SHA512 8c3795520d6ee5d34c8aa649a24309e30da8843bcddbfc8ff0b822eab5529a621d9fa475dc6714a6de0ed1d229d3a949870666967448a23036d28af5e7da00ab
DIST votrify-3.tar.gz 9153 BLAKE2B fdff14dd7332bd6688cb2d04d87e7cf0888aa881cac6a98961cc544182869b190ac8591545c773e7a14293ff0fac7efd646be3cc7f8d059a8e45b709051eae69 SHA512 bde636cb238e114814f1246f49c9b5f363d7c9255da4cf2f5da6cb8da19f1b970e0027b630f21b0166c73de770e5bc931b811c3326ccc790db6d1d873731ef9e
DIST votrify-4.tar.gz 9184 BLAKE2B 78149b3e53a830c405de70b0dff301eb4467489a59af8de76fade98eeeacc9ae78cc229db23eef26355579a9944917074419e2f38eb59eb0cae6d314985d0383 SHA512 1639fd6b6e96fb767088fb4b3be4d2d09cb0f6a12bdd745d610b6853ff2f585f8100523e92ee75d7800fe54cb42a5c716bbefe57d85395627e8c67d75e45aae1
DIST votrify-5.tar.gz 9192 BLAKE2B 5df0ccd0b5a843b384e002c2bd1001df06cb5bcf039f10c689abeda07f1a05c545a917b0a42bd78c06c537eacca58ef7b4c2920a0fe6809f4450d4c98ee2fade SHA512 3d441eb42f860e4e571541300a04c1a52a01abbe20f76615adc1c9764bafbff35faf0f1dbe9f9267ad3c4dc0e4cb4bc715b87e2104cdef8997e7918ab834bb5d

@ -1,36 +0,0 @@
# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{5,6,7} )
inherit python-single-r1
DESCRIPTION="Tool for community verification of Gentoo elections"
HOMEPAGE="https://github.com/mgorny/votrify"
SRC_URI="https://github.com/mgorny/votrify/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="app-misc/gentoo-elections"
src_configure() {
# update default location for election scripts
sed -i -e "s^os.path.dirname(__file__)^'${EPREFIX}/usr/lib'^" \
make-confirmation.py || die
# update script names
sed -i -e 's:\(./\)\?\(make-confirmation\|verify-confirmations\).py:votrify-\2:g' \
README.rst || die
python_fix_shebang *.py
}
src_install() {
newbin make-confirmation.py votrify-make-confirmation
newbin verify-confirmations.py votrify-verify-confirmations
einstalldocs
}

@ -1,51 +0,0 @@
# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{5,6,7} )
inherit python-single-r1
DESCRIPTION="Tool for community verification of Gentoo elections"
HOMEPAGE="https://github.com/mgorny/votrify"
SRC_URI="https://github.com/mgorny/votrify/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="app-misc/gentoo-elections"
src_configure() {
# update default location for election scripts
sed -i -e "s^os.path.dirname(__file__)^'${EPREFIX}/usr/lib'^" \
votrify-make-confirmation || die
python_fix_shebang votrify-{make,verify}-*
}
make_wrappers() {
local election=${1}
newbin - "votrify-${election}-make" \
< <(sed -e "s^@ELECTION@^${election}^" \
votrify-wrapper-make.bash.in || die)
newbin - "votrify-${election}-verify" \
< <(sed -e "s^@ELECTION@^${election}^" \
votrify-wrapper-verify.bash.in || die)
}
src_install() {
dobin votrify-{make,verify}-*
make_wrappers council-201906
einstalldocs
}
pkg_postinst() {
elog "In order to interactively create confirmation for Council 2019 election:"
elog " votrify-council-201906-make"
elog
elog "In order to verify the results for Council 2019 election:"
elog " votrify-council-201906-verify"
}

@ -1,51 +0,0 @@
# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{5,6,7} )
inherit python-single-r1
DESCRIPTION="Tool for community verification of Gentoo elections"
HOMEPAGE="https://github.com/mgorny/votrify"
SRC_URI="https://github.com/mgorny/votrify/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="app-misc/gentoo-elections"
src_configure() {
# update default location for election scripts
sed -i -e "s^os.path.dirname(__file__)^'${EPREFIX}/usr/lib'^" \
votrify-make-confirmation || die
python_fix_shebang votrify-{make,verify}-*
}
make_wrappers() {
local election=${1}
newbin - "votrify-${election}-make" \
< <(sed -e "s^@ELECTION@^${election}^" \
votrify-wrapper-make.bash.in || die)
newbin - "votrify-${election}-verify" \
< <(sed -e "s^@ELECTION@^${election}^" \
votrify-wrapper-verify.bash.in || die)
}
src_install() {
dobin votrify-{make,verify}-*
make_wrappers council-201906
einstalldocs
}
pkg_postinst() {
elog "In order to interactively create confirmation for Council 2019 election:"
elog " votrify-council-201906-make"
elog
elog "In order to verify the results for Council 2019 election:"
elog " votrify-council-201906-verify"
}

@ -1,51 +0,0 @@
# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{5,6,7} )
inherit python-single-r1
DESCRIPTION="Tool for community verification of Gentoo elections"
HOMEPAGE="https://github.com/mgorny/votrify"
SRC_URI="https://github.com/mgorny/votrify/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="app-misc/gentoo-elections"
src_configure() {
# update default location for election scripts
sed -i -e "s^os.path.dirname(__file__)^'${EPREFIX}/usr/lib'^" \
votrify-make-confirmation || die
python_fix_shebang votrify-{make,verify}-*
}
make_wrappers() {
local election=${1}
newbin - "votrify-${election}-make" \
< <(sed -e "s^@ELECTION@^${election}^" \
votrify-wrapper-make.bash.in || die)
newbin - "votrify-${election}-verify" \
< <(sed -e "s^@ELECTION@^${election}^" \
votrify-wrapper-verify.bash.in || die)
}
src_install() {
dobin votrify-{make,verify}-*
make_wrappers council-201906
einstalldocs
}
pkg_postinst() {
elog "In order to interactively create confirmation for Council 2019 election:"
elog " votrify-council-201906-make"
elog
elog "In order to verify the results for Council 2019 election:"
elog " votrify-council-201906-verify"
}

@ -14,8 +14,10 @@ LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
REQUIRED_USE=${PYTHON_REQUIRED_USE}
RDEPEND="app-misc/gentoo-elections"
RDEPEND="${PYTHON_DEPS}
app-misc/gentoo-elections"
src_configure() {
# update default location for election scripts

Binary file not shown.

@ -16,8 +16,9 @@ LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="+channel"
REQUIRED_USE=${PYTHON_REQUIRED_USE}
RDEPEND="
RDEPEND="${PYTHON_DEPS}
dev-util/android-tools
channel? ( net-misc/socat )"
DEPEND=""

Binary file not shown.

@ -15,6 +15,8 @@ LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="amd64"
IUSE="test"
RESTRICT="!test? ( test )"
REQUIRED_USE=${PYTHON_REQUIRED_USE}
RDEPEND="${PYTHON_DEPS}
dev-db/sqlite:3

@ -15,6 +15,8 @@ LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
RESTRICT="!test? ( test )"
REQUIRED_USE=${PYTHON_REQUIRED_USE}
RDEPEND="${PYTHON_DEPS}
dev-db/sqlite:3

Binary file not shown.

@ -0,0 +1,49 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{5,6} )
PYTHON_REQ_USE="xml"
inherit distutils-r1
DESCRIPTION="Searchable online file/package database for Gentoo"
HOMEPAGE="http://www.portagefilelist.de"
SRC_URI="https://dev.gentoo.org/~billie/distfiles/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
IUSE="+network-cron"
DEPEND=""
RDEPEND="
${DEPEND}
>=dev-python/ssl-fetch-0.4[${PYTHON_USEDEP}]
net-misc/curl
sys-apps/portage[${PYTHON_USEDEP}]
network-cron? ( sys-apps/util-linux[caps] )
"
PATCHES=(
"${FILESDIR}/e-file-function.patch"
)
python_install_all() {
if use network-cron ; then
exeinto /etc/cron.weekly
doexe cron/pfl
fi
keepdir /var/lib/${PN}
distutils-r1_python_install_all
}
pkg_postinst() {
if [[ ! -e "${EROOT}/var/lib/${PN}/pfl.info" ]]; then
touch "${EROOT}/var/lib/${PN}/pfl.info" || die
fi
chown -R portage:portage "${EROOT}/var/lib/${PN}" || die
chmod 775 "${EROOT}/var/lib/${PN}" || die
}

Binary file not shown.

@ -0,0 +1,11 @@
--- tcsh-6.21.00/configure.ac
+++ tcsh-6.21.00/configure.ac
@@ -317,7 +317,7 @@
dnl Checks for libraries
AC_SEARCH_LIBS(crypt, crypt)
AC_SEARCH_LIBS(getspnam, sec)
-AC_SEARCH_LIBS([tgetent], [termlib tinfo termcap curses ncurses], [], [
+AC_SEARCH_LIBS([tgetent], [tinfo ncurses], [], [
AC_MSG_ERROR([unable to find the tgetent() function])
])
AC_SEARCH_LIBS(gethostbyname, nsl)

@ -33,6 +33,7 @@ PATCHES=(
"${FILESDIR}"/${PN}-6.20.00-debian-dircolors.patch # bug #120792
"${FILESDIR}"/${PN}-6.18.01-aix.patch
"${FILESDIR}"/${PN}-6.21.00-no-nls.patch
"${FILESDIR}"/${PN}-6.21.00-use-ncurses.patch
)
src_prepare() {

Binary file not shown.

@ -1 +1,2 @@
DIST aspell-0.60.7-rc1.tar.gz 2034916 BLAKE2B 7518660b0bb7f75aa3b659519a97132675b39dac7e8806d5450d43f40d62683e4c4a41a8c18cd08b6ab9ca53911caeb87e0898eb04ad9d2f98185e2bb6033d5c SHA512 e13240d78b8afd74d8a8cfd5fc7fe2081de85b33621e86543cdf942ed601d36c4e0cbf38a54be083e951127fa9435677cec2997387cb0e7b51a5597386e7e8d1
DIST aspell-0.60.7-rc2.tar.gz 2064871 BLAKE2B 74760cc10804d964bd7d7ee0097198ab26026e0bca2987223b7b58e67491e2d0914c7e24d63cb5540764017dc15358c023e1a3cf6240d5feec8d1dd25ddf6450 SHA512 f9f81efaaeaac4d2bc5b3018fe2cef9ed2406f2c648298465d983a012cf8ba3e25a46593c9833ac5d8b4c8cfca2ac3b76b476a4893ba880e4753770d134bead3

@ -0,0 +1,103 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit autotools flag-o-matic libtool toolchain-funcs
MY_P="${P/_/-}"
DESCRIPTION="A spell checker replacement for ispell"
HOMEPAGE="http://aspell.net/"
if [[ "${PV}" = *_rc* ]] ; then
SRC_URI="mirror://gnu-alpha/aspell/${MY_P}.tar.gz"
else
SRC_URI="mirror://gnu/aspell/${MY_P}.tar.gz"
fi
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE="nls unicode"
PDEPEND="app-dicts/aspell-en"
LANGS="af be bg br ca cs cy da de de-1901 el en eo es et fi fo fr ga gl he hr
hu hy is it la lt nl no pl pt pt-BR ro ru sk sl sr sv uk vi"
for lang in ${LANGS}; do
IUSE+=" l10n_${lang}"
case ${lang} in
de-1901) dict="de-alt" ;;
pt-BR) dict="pt-br" ;;
*) dict="${lang}" ;;
esac
PDEPEND+=" l10n_${lang}? ( app-dicts/aspell-${dict} )"
done
unset dict lang LANGS
# English dictionary 0.5 is incompatible with aspell-0.6
RDEPEND="
sys-libs/ncurses:0=[unicode?]
nls? ( virtual/libintl )
!=app-dicts/aspell-en-0.5*
"
DEPEND="${RDEPEND}"
BDEPEND="
virtual/pkgconfig
nls? ( sys-devel/gettext )
"
S="${WORKDIR}/${MY_P}"
HTML_DOCS=( manual/aspell{,-dev}.html )
PATCHES=(
"${FILESDIR}/${PN}-0.60.5-nls.patch"
"${FILESDIR}/${PN}-0.60.5-solaris.patch"
"${FILESDIR}/${PN}-0.60.6-darwin-bundles.patch"
"${FILESDIR}/${PN}-0.60.6.1-clang.patch"
# includes fix for bug #467602
"${FILESDIR}/${PN}-0.60.6.1-unicode.patch"
)
src_prepare() {
default
rm m4/lt* m4/libtool.m4 || die
eautoreconf
elibtoolize --reverse-deps
# Parallel install of libtool libraries doesn't always work.
# https://lists.gnu.org/archive/html/libtool/2011-03/msg00003.html
# This has to be after automake has run so that we don't clobber
# the default target that automake creates for us.
echo 'install-filterLTLIBRARIES: install-libLTLIBRARIES' >> Makefile.in || die
# unicode patch breaks on Darwin, NCURSES_WIDECHAR won't get set
# any more. Fix this.
[[ ${CHOST} == *-darwin* ]] || [[ ${CHOST} == *-musl* ]] && use unicode && \
append-cppflags -DNCURSES_WIDECHAR=1
}
src_configure() {
local myeconfargs=(
$(use_enable nls)
$(use_enable unicode)
--disable-static
--sysconfdir="${EPREFIX}"/etc/aspell
)
econf "${myeconfargs[@]}"
}
src_install() {
default
docinto examples
dodoc "${S}"/examples/*.c
# install ispell/aspell compatibility scripts
newbin scripts/ispell ispell-aspell
newbin scripts/spell spell-aspell
# we explicitly pass '--disable-static' to econf,
# hence we can delete .la files unconditionally
find "${ED}" -type f -name '*.la' -delete || die
}

@ -1,4 +1,3 @@
DIST calibre-3.26.1.tar.xz 39109660 BLAKE2B 0e98c273b8a5dfafea7a7027de3f83ad25ab835edadedf78b7e9bc356bcac8937d915944f2ab6503b414c49b4e792e090e7bd2433a4e86373bf115720ed78b0a SHA512 893e36b101defaca29281b4bd072aafc1c4cb20a9cd3ee06a0b68fbe6b39cab34952799939ac4f54c77148c87861c5ab4ddff84f5ec8c2274ae7fa6424259ff5
DIST calibre-3.42.0.tar.xz 38530420 BLAKE2B 3b1fa7abfed277f7a787fa2b65697817d0fe8553d570901a8817e63756f7edc8321c18768fb9c965382f9027d053af708fdf54c4288c831acb0ec03a64748651 SHA512 0a9b18cbf1d4e75d1e10e9dcf7318f07687e0a39d1d524f99f47240d28bc13cad6f28bc30e7cc9662766264d9a465fa4f24cbc27e5f36d20cfb1a8f94ed8ced2
DIST calibre-3.43.0.tar.xz 38682448 BLAKE2B 6a19be6741ecc2abc839731ca35684363310431db5fa8f5cccd264f7bef37cd365ae5f38f97f8b4de323c035bcfcab30e0b2ade8a366d1e96a70a22f6c4aaa54 SHA512 e187b2509041303102980cbd70b856b7699a7d5b2a9010f817406164ef785cd0c6c7ee77ebf8d674183e0dfc6928ed9316d2c2440bc1fe762f112784216c35a8
DIST calibre-3.44.0.tar.xz 38643008 BLAKE2B 7eb1412aa5de6ba2f48ea13e922dffff7ace0f4f475832ebe122db967c71df05b6bbb45092bdd53ddfe35d7a0c2af566ed83dde9aac64200d41ea2adc4cb1886 SHA512 a97f45f5f788357f62b4088c4d8190cd3e3b790685871d5a024342d5d21ca978d46fa4e47f85eef4b9fbc0774923732938a812dd188cd4a315445cf25b187d28
DIST calibre-3.46.0.tar.xz 38750284 BLAKE2B 5590ba422d0323ea7c0cea67d88d448f00f5a470e7a8fdf9851b488c0856c88175bd107715a856706e95b2e1a45604713d061f4a7a3603ecaa01dfc018c1ed58 SHA512 d8eb014ba4d943e1c2ed05104d9b0c13f45a8b0085fa240248210cd43ab3739036936324183ae8a63dc636f7f8603484e3ddf50a260308ce1127745a8d3c6763

@ -1,291 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 )
PYTHON_REQ_USE="sqlite,ssl"
inherit bash-completion-r1 desktop toolchain-funcs python-single-r1 xdg-utils
DESCRIPTION="Ebook management application"
HOMEPAGE="https://calibre-ebook.com/"
SRC_URI="https://download.calibre-ebook.com/${PV}/${P}.tar.xz"
LICENSE="
GPL-3+
GPL-3
GPL-2+
GPL-2
GPL-1+
LGPL-3+
LGPL-2.1+
LGPL-2.1
BSD
MIT
Old-MIT
Apache-2.0
public-domain
|| ( Artistic GPL-1+ )
CC-BY-3.0
OFL-1.1
PSF-2
"
KEYWORDS="~amd64 ~arm ~x86"
SLOT="0"
IUSE="ios +udisks"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
COMMON_DEPEND="${PYTHON_DEPS}
>=app-text/podofo-0.9.6_pre20171027:=
>=app-text/poppler-0.26.5[qt5]
>=dev-libs/chmlib-0.40:=
dev-libs/glib:2=
>=dev-libs/icu-57.1:=
dev-libs/libinput:=
>=dev-python/apsw-3.25.2_p1[${PYTHON_USEDEP}]
>=dev-python/beautifulsoup-3.0.5:python-2[${PYTHON_USEDEP}]
>=dev-python/chardet-3.0.3[${PYTHON_USEDEP}]
>=dev-python/cssselect-0.7.1[${PYTHON_USEDEP}]
>=dev-python/css-parser-1.0.4[${PYTHON_USEDEP}]
>=dev-python/dbus-python-1.2.4[${PYTHON_USEDEP}]
>=dev-libs/dbus-glib-0.106
>=sys-apps/dbus-1.10.8
>=dev-python/feedparser-5.2.1[${PYTHON_USEDEP}]
>=dev-python/html5-parser-0.4.3[${PYTHON_USEDEP}]
>=dev-python/lxml-3.8.0[${PYTHON_USEDEP}]
>=dev-python/markdown-3.0.1[${PYTHON_USEDEP}]
>=dev-python/mechanize-0.3.5[${PYTHON_USEDEP}]
>=dev-python/msgpack-0.5.6[${PYTHON_USEDEP}]
>=dev-python/netifaces-0.10.5[${PYTHON_USEDEP}]
>=dev-python/pillow-3.2.0[${PYTHON_USEDEP}]
>=dev-python/psutil-4.3.0[${PYTHON_USEDEP}]
>=dev-python/pygments-2.3.1[${PYTHON_USEDEP}]
>=dev-python/python-dateutil-2.5.3[${PYTHON_USEDEP}]
>=dev-python/PyQt5-5.8[gui,svg,webkit,widgets,network,printsupport,${PYTHON_USEDEP}]
dev-python/regex[${PYTHON_USEDEP}]
dev-qt/qtcore:5=
dev-qt/qtdbus:5=
dev-qt/qtgui:5=
dev-qt/qtwidgets:5=
dev-util/desktop-file-utils
dev-util/gtk-update-icon-cache
media-fonts/liberation-fonts
media-libs/fontconfig:=
>=media-libs/freetype-2:=
>=media-libs/libmtp-1.1.11:=
>=media-libs/libwmf-0.2.8
>=media-gfx/optipng-0.7.6
>=sys-libs/zlib-1.2.11:=
virtual/libusb:1=
virtual/python-dnspython[${PYTHON_USEDEP}]
x11-libs/libxkbcommon:=
x11-libs/libX11:=
x11-libs/libXext:=
x11-libs/libXrender:=
x11-misc/shared-mime-info
>=x11-misc/xdg-utils-1.0.2-r2
ios? (
>=app-pda/usbmuxd-1.0.8
>=app-pda/libimobiledevice-1.2.0
)
udisks? ( virtual/libudev )"
RDEPEND="${COMMON_DEPEND}
udisks? ( || ( sys-fs/udisks:2 sys-fs/udisks:0 ) )"
DEPEND="${COMMON_DEPEND}
>=dev-python/setuptools-23.1.0[${PYTHON_USEDEP}]
dev-python/sip[${PYTHON_USEDEP}]
>=virtual/podofo-build-0.9.6_pre20171027
virtual/pkgconfig"
pkg_pretend() {
if [[ ${MERGE_TYPE} != binary && $(gcc-major-version) -lt 6 ]]; then
eerror "Calibre cannot be built with this version of gcc."
eerror "You need at least gcc-6.0"
die "Your C compiler is too old for this package."
fi
}
src_prepare() {
# no_updates: do not annoy user with "new version is availible all the time
# disable_plugins: walking sec-hole, wait for upstream to use GHNS interface
eapply \
"${FILESDIR}/${PN}-2.9.0-no_updates_dialog.patch" \
"${FILESDIR}/${PN}-disable_plugins.patch"
eapply_user
# Fix outdated version constant.
#sed -e "s#\\(^numeric_version =\\).*#\\1 (${PV//./, })#" \
# -i src/calibre/constants.py || \
# die "sed failed to patch constants.py"
# Avoid sandbox violation in /usr/share/gnome/apps when linux.py
# calls xdg-* (bug #258938).
sed -e "s|'xdg-desktop-menu', 'install'|\\0, '--mode', 'user'|" \
-e "s|check_call(\\['xdg-desktop-menu', 'forceupdate'\\])|#\\0|" \
-e "s|\\(CurrentDir(tdir)\\), \\\\\$|\\1:|" \
-e "s|, PreserveMIMEDefaults():|:|" \
-e "s|'xdg-icon-resource', 'install'|\\0, '--mode', 'user'|" \
-e "s|cmd\[2\]|cmd[4]|" \
-e "s|cc(\\['xdg-desktop-menu', 'forceupdate'\\])|#\\0|" \
-e "s|'xdg-mime', 'install'|\\0, '--mode', 'user'|" \
-i src/calibre/linux.py || die "sed failed to patch linux.py"
# Disable unnecessary privilege dropping for bug #287067.
sed -e "s:if os.geteuid() == 0:if False and os.geteuid() == 0:" \
-i setup/install.py || die "sed failed to patch install.py"
sed -e "/^ self.check_call(\\[QMAKE\\] + qmc + \\[proname\\])$/a\
\\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ self.check_call(['sed', \
'-e', 's|^CFLAGS .*|\\\\\\\\0 ${CFLAGS}|', \
'-e', 's|^CXXFLAGS .*|\\\\\\\\0 ${CXXFLAGS}|', \
'-e', 's|^LFLAGS .*|\\\\\\\\0 ${LDFLAGS}|', \
'-i', 'Makefile'])" \
-i setup/build.py || die "sed failed to patch build.py"
# use system beautifulsoup, instead of bundled
rm -f "${S}"/src/calibre/ebooks/BeautifulSoup.py \
|| die "could not remove bundled beautifulsoup"
find "${S}" -type f -name \*.py -exec \
sed -e 's/calibre.ebooks.BeautifulSoup/BeautifulSoup/' -i {} + \
|| die "could not sed bundled beautifulsoup out of the source tree"
# avoid failure of xdg tools to recognize vendor prefix
sed -e "s|xdg-icon-resource install|xdg-icon-resource install --novendor|" \
-e "s|'xdg-mime', 'install'|'xdg-mime', 'install', '--novendor'|" \
-e "s|'xdg-desktop-menu', 'install'|'xdg-desktop-menu', 'install', '--novendor'|" \
-i "${S}"/src/calibre/linux.py || die 'sed failed'
# don't create/install uninstaller
sed '/self\.create_uninstaller()/d' -i src/calibre/linux.py || die
}
src_install() {
# Bypass kbuildsycoca and update-mime-database in order to
# avoid sandbox violations if xdg-mime tries to call them.
cat - > "${T}/kbuildsycoca" <<-EOF
#!${BASH}
echo $0 : $@
exit 0
EOF
cp "${T}"/{kbuildsycoca,update-mime-database} || die
chmod +x "${T}"/{kbuildsycoca,update-mime-database} || die
export QMAKE="${EPREFIX}/usr/$(get_libdir)/qt5/bin/qmake"
# Unset DISPLAY in order to prevent xdg-mime from triggering a sandbox
# violation with kbuildsycoca as in bug #287067, comment #13.
export -n DISPLAY
# Bug #352625 - Some LANGUAGE values can trigger the following ValueError:
# File "/usr/lib/python2.6/locale.py", line 486, in getdefaultlocale
# return _parse_localename(localename)
# File "/usr/lib/python2.6/locale.py", line 418, in _parse_localename
# raise ValueError, 'unknown locale: %s' % localename
#ValueError: unknown locale: 46
export -n LANG LANGUAGE ${!LC_*}
export LC_ALL=C #684484
# Bug #295672 - Avoid sandbox violation in ~/.config by forcing
# variables to point to our fake temporary $HOME.
export HOME="${T}/fake_homedir"
export XDG_CONFIG_HOME="${HOME}/.config"
export XDG_DATA_HOME="${HOME}/.local/share"
export CALIBRE_CONFIG_DIRECTORY="${XDG_CONFIG_HOME}/calibre"
mkdir -p "${XDG_DATA_HOME}" "${CALIBRE_CONFIG_DIRECTORY}" || die
tc-export CC CXX
# Bug #334243 - respect LDFLAGS when building extensions
export OVERRIDE_CFLAGS="$CFLAGS" OVERRIDE_LDFLAGS="$LDFLAGS"
local libdir=$(get_libdir)
[[ -n $libdir ]] || die "get_libdir returned an empty string"
addpredict /dev/dri #665310
#dodir "/usr/$(get_libdir)/python2.7/site-packages" # for init_calibre.py
#dodir $(python_get_sitedir)
PATH=${T}:${PATH} PYTHONPATH=${S}/src${PYTHONPATH:+:}${PYTHONPATH} \
"${PYTHON}" setup.py install \
--root="${D}" \
--prefix="${EPREFIX}/usr" \
--libdir="${EPREFIX}/usr/${libdir}" \
--staging-root="${ED}/usr" \
--staging-libdir="${ED}/usr/${libdir}" || die
# The menu entries end up here due to '--mode user' being added to
# xdg-* options in src_prepare.
dodir /usr/share/mime/packages
chmod -fR a+rX,u+w,g-w,o-w "${HOME}"/.local
mv "${HOME}"/.local/share/mime/packages/* "${ED}"/usr/share/mime/packages/ ||
die "failed to register mime types"
dodir /usr/share/icons
mv "${HOME}"/.local/share/icons/* "${ED}"/usr/share/icons/ ||
die "failed to install icon files"
domenu "${HOME}"/.local/share/applications/*.desktop ||
die "failed to install .desktop menu files"
find "${ED}"/usr/share -type d -empty -delete
cd "${ED}"/usr/share/calibre/fonts/liberation || die
local x
for x in * ; do
[[ -f ${EPREFIX}usr/share/fonts/liberation-fonts/${x} ]] || continue
ln -sf "../../../fonts/liberation-fonts/${x}" "${x}" || die
done
einfo "Converting python shebangs"
python_fix_shebang --force "${ED}"
einfo "Compiling python modules"
python_optimize "${ED}"/usr/lib/calibre
newinitd "${FILESDIR}"/calibre-server-3.init calibre-server
newconfd "${FILESDIR}"/calibre-server-3.conf calibre-server
bashcomp_alias calibre \
lrfviewer \
calibre-debug \
ebook-meta \
calibre-server \
ebook-viewer \
ebook-polish \
fetch-ebook-metadata \
lrf2lrs \
ebook-convert \
ebook-edit \
calibre-smtp \
ebook-device
}
pkg_preinst() {
# Indentify stray directories from upstream's "Binary install"
# method (see bug 622728).
CALIBRE_LIB_DIR=/usr/$(get_libdir)/calibre
CALIBRE_LIB_CONTENT=$(for x in "${ED}${CALIBRE_LIB_DIR}"/*; do
printf -- "${x##*/} "; done) || die "Failed to list ${ED}${CALIBRE_LIB_DIR}"
}
pkg_postinst() {
[[ -n ${CALIBRE_LIB_DIR} ]] || die "CALIBRE_LIB_DIR is unset"
local x
for x in "${EROOT%/}${CALIBRE_LIB_DIR}"/*; do
if [[ " ${CALIBRE_LIB_CONTENT} " != *" ${x##*/} "* ]]; then
elog "Purging '${x}'"
rm -rf "${x}"
fi
done
xdg_desktop_database_update
xdg_mimeinfo_database_update
xdg_icon_cache_update
}
pkg_postrm() {
xdg_desktop_database_update
xdg_mimeinfo_database_update
xdg_icon_cache_update
}

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save